/* 
 * Serenity-IRC Services Language Format Tables: English Language.
 *
 *				Added by GZ (April 2000)
 */

#ifndef ENGLISH__H
#define ENGLISH__H

#include "services.h"

struct FormatTable EnglishReplies[] = {
/* 0 - 19 */
{ RPL_CUSTOM,		"Th|s |s a cust0m m3ssag3" },
{ ERR_NEEDREGNICK,	"j00 n33d a r3gg3d nickx0r f0r th|s c0mm4nd." },
{ ERR_NEEDACTNICK,	"j00 n33d an activated nickname f0r th|s c0mm4nd." },
{ ERR_NEEDSRA,		"j00 n33d S3rv R3wt Adm|n acc3ss f0r th|s c0mm4nd." },
{ ERR_NEEDSERVOP,	"j00 n33d S3rv0p acc3ss f0r th|s c0mm4nd." },
{ ERR_NEEDOPER,		"j00 n33d IRC 0per acc3ss f0r this c0mm4nd." },
{ ERR_UNKNOWNCOMMAND,	"S0rry d00d, but \002%s\002 isn't a l33t c0mm4nd." },
{ RPL_MOREHELP,		"y0, checkx0r \002/msg %s HELP\002 for more help with this S3rv|ce, d00d." },
{ RPL_DEBUGHEADER,	"-=- [%s l33t D3BuG Info] -=-" },
{ RPL_DEBUGFOOTER,	"-=- [End of Debug Info] -=-" },
{ RPL_DEBUGLINE1,	"%-15s %-15s %-15s %-15s" },
{ RPL_DEBUGLINE2,	"\002%-15s\002 %-15d %-15d %-15d" },
{ ERR_BADPARAMS,	"j00 didn't add 3nough 4gru3m3nts to this line, d00d." },
{ RPL_PASSOKAY,		"j00r n0w l33t (Identified). \002%s\002." },
{ RPL_YOUAREROOT,	"j00 R n0w a Badazz m0f0. \002Services Root Administrator.\002" },
{ RPL_YOUARESERVOP,	"j00 R n0w a l33t m0f0 \002Services Operator.\002" },
{ RPL_NOCHANGEPASS,	"y0 d00d, j00r nix0r's p4ss h4s n0t b33n ch4ng3d l4t3ly.." },
{ RPL_MOREHELPCMD,	"Please try \002/msg %s HELP %s\002 for more help with this command." },
{ RPL_PASSNOTOKAY,	"\002Wrong pass d00d!\002 Nickname: \002%s\002." },
{ RPL_EMAILHACK1,	"\002D00D!\002 You have ntered an inc0rr3ct p4ssw3rd t00 many tim3s! That Iz n0t l33t." },
/* 20 - 39 */
{ RPL_EMAILHACK2,	"Th3 d00d that 0wnz th|s nick has b33n emailed. " },
{ RPL_EMAILHACK3,	"D00D! \002Cease your attempts to identify\002 until j00 r3c3iv3 th|s 3mail." },
{ RPL_EMAILHACK4,	"If j00 d0n't get this Email, please join " NETCHAN " for help." },
{ RPL_EMAILHACK5,	"Any further 4tt3mpts to ID will result in \002j00r ASC|| b3ing killed 0ffa th|s n3tw3rk, d00d!\002" },
{ RPL_EMAILHACK6,	"d00d, j00 were warned, and j00 have n0w b33n kill3d for nick hax0ring" },
{ ERR_NICKNOTREGGED,	"\002%s\002 is not r3gg3d with NickServ." },
{ RPL_INFOHEADER,	"-=[ NickServ Information for \002%s\002 ]=-" },
{ RPL_INFOFOOTER,	"-=[ End of NickServ Information ]=-" },
{ RPL_INFOBANISHED,	"Sorry d00d, but this nix0r haz b33n banished." },
{ RPL_INFONOWON,	"0p3n j00r eyes! \002/whois %s\002 f0r more inf0" },
{ RPL_INFODEREG,	"Th|s nic|<n4me hax b33n p3rmanan7ly d3r3gister3d by the St4rCh4t 4dm|n|str4ti0n" },
{ RPL_INFOLASTSEEN1,	"Packeting Target:    - %s@%s [%s]" },
{ RPL_INFOLASTSEEN2,	"Last s33n            - %s" },
{ RPL_INFOREGGEDON,	"R3gged 0n            - %s" },
{ RPL_INFOEMAIL,	"Flaming Target       - %s" },
{ RPL_INFOACCESS,	"S3rv Acc3ss          - %s" },
{ RPL_INFOOPTIONS,	"0pti0ns S3t          - %s" },
{ RPL_INFOMEMO,		"M3m0 S3ttingz        - %s" },
{ RPL_INFOLINKID,	"Other Personalities  - %s" },
{ RPL_INFOCURRENTACC,	"Level-o-L33tn3ss     - %s" },
/* 40 - 59 */
{ RPL_INFODATA,		"Eliteist's data        - [Ch4nn3lz: %i] [M3m0z: %i] [M4skz: %i] [Eviln3ss: %i]" },
{ RPL_INFOSTATUS,	"Curr3nt st4tus    - %s" },
{ RPL_INFOREGBY,	"R3gg3d by         - %s@%s" },
{ RPL_INFOTIMENOW,	"Tim3 n0w          - %s" },
{ ERR_NEEDID,		"d00d, ID t0 nickserv b3f0re trying t0 use s3rvic3s commands." },
{ RPL_NSETIS,		"\002%s\002 is curr3ntly s3t to \002%s\002 for this nix0r." },
{ RPL_NSETNOW,		"\002%s\002 has now been s3t to \002%s\002 for this nix0r." },
{ ERR_BADSETTING,	"S0rry d00d, \002%s\002 is an unkn0wn s3tting." },
{ ERR_BADPASSWORD,	"Pick a l3ss h4ckabl3 p4ssw3rd, d00d." },
{ RPL_PASSWORDNOW,	"j00r n3w passw3rd iz \002%s\002." },
{ ERR_VALIDEMAIL,	"j00 g0tt4 us3 a pr0per email addr3ss, d00d. EX: us3r@h0st." },
{ ERR_NICKLIMIT,	"J00 c4n't r3g anymor3 nix0rz, d00d." },
{ ERR_NOWEBMAIL,	"R3al hax0rz h4ve l33t ISP email addr3ss3s. R3g with 1 0f th0s3, d00d." },
{ RPL_TEMPDEAC1,	"Nix0r t3mp. d3activ4t3d to c3rify j00r n3w Email." },
{ RPL_TEMPDEAC2,	"j00r r3activ4tion of th|s nix0r will b3 the same 4s wh3n j00 r3gg3d it." },
{ RPL_TEMPDEAC3,	"All j00r nick s3tt|ngs be sav3d." },
{ RPL_TEMPDEAC4,	"j00r n3w r3g k3y h4s b33n s3nt to \002%s\002." },
{ ERR_NOMAILSENT,	"d00d, the m4il c0uldn't be d3l|v3r3d t0 th3 sp3c|f|3d 4ddr3ss." },
{ ERR_ALREADYREG,	"Th|s nix0r is 4lr3ady r3g|st3r3d, d00d. Y0u can't r3g|st3r it 4g4in." },
{ ERR_NEEDTOACT,	"This nix0r is alr34dy r3gg3d, it can only be activated now." },
/* 60 - 79 */
{ ERR_CANNOTREGTHIS,	"This nix0r can not be r3gg3d, please ch00se another 0n3, d00d." },
{ ERR_BANNEDEMAIL,	"This email is \002BANNX0RED\002, d00d. Pick an0th3r." },
{ ERR_CANNOTGHOSTSELF,	"j00 st00pid? j00 c4n't k|llx0r j00rs3lf.." },
{ ERR_NOTONLINE,	"%s |z n0t b3ing us3d, d00d,  j00 c4n't gh0st it." },
{ ERR_ACCESSDENIED,	"Sorry d00d, acc3ss d3ni3d." },
{ RPL_NICKGHOSTED,	"The nickname \002%s\002 has been ghosted. It is now available for use again." },
{ RPL_TOCHANOPS,	"\002(Ops:%s)\002 %s" },
{ RPL_AUTOSET_S,	"This channel is auto set to mode +s as a precaution for our younger users. This will not affect the channel in any way, other than to make it invisible on a channel list." },
{ RPL_NOOPSFROZEN,	"You are not allowed operator privileges in this channel, it has been \002FROZEN\002." },
{ RPL_CHANDESC,		"(\002%s\002): %s" },
{ RPL_NOOPS,		"Sorry d00d, j00 aren't all0wed opx0rz in this ch4nn3l." },
{ RPL_PING1,		"\001PING %s\001" },
{ RPL_PING2,		"\001PING %s %s\001" },
{ ERR_CHANNOTREGGED,	"%s is not r3gg3ed with Ch4nS3rv." },
{ RPL_NEXTDBSYNC,	"Next database synch(save) in %d minutes." },
{ RPL_CHANINFO1,	"-=[ Ch4nS3rv Inf0rm4t|0n for \002%s\002 ]=-" },
{ 76, "j00r nix0r (\002%s\002) is now succsfully registered and activated!" }, 
{ 77, "j00r 1st access-mask is \002%s\002. If you want more access-masks," },
{ 78, "Try using: /ns \002ADDMASK\002" },
{ 79, "Your registration time is %s " },
/* 80 - 99 */
{ 80, "j00r nix0r password is \002%s\002. Please write it down now, so you won't lose it." },
{ 81, "W3lc0me t0 St4rCh4t! B3 a nic3 littl3 hax0r, and j00 w0n't g3t /killed!" },
{ 82, "Your nickname has been succesfully reactivated!" },
{ 83, "This nickname is already activated. You can not activate it again." },
{ RPL_NICKDROPPED,	"Your nickname \002%s\002 is no longer registered." },
{ RPL_YOURACCESSIS,	"Your current access level is \002%i\002." },
{ RPL_CHANINFO2,	"F0und3r            - %s" },
{ RPL_CHANINFO3,	"D3sc               - %s" },
{ RPL_CHANINFO4,	"T0p|c              - %s (%s)" },
{ RPL_CHANINFO5,	"0pti0ns            - %s%s%s%s%s%s%s" },
{ RPL_CHANINFO6,	"S3ttingz           - [Topic Level: %i+] [Restrict Level: %i+] [Mode: %s]" },
{ RPL_CHANINFO7,	"Ch4nn3l R3gg3d     - %s GMT" },
{ RPL_CHANINFO8,	"Ch4nn3l L4st Us3d  - %s GMT" },
{ RPL_CHANINFO9,	"L33t m0f0 inf0     - %s%s%s%s[Ops: %i] [Akicks: %i]" },
{ RPL_CHANINFO10,	"-=[ 3nd 0f Ch4nS3rv Inf0 ]=-" },
{ RPL_CHANACCESS1,	"%s h4s %s 4cc3ss 0n %s" },
{ RPL_CHANACCESS2,	"j00 have %s access on %s" },
{ ERR_NOTOPEDINCHAN,	"j00 must be b0th inside, and 0p3d, in the ch4nn3l you wish to r3ggx0r, d00d." },
{ ERR_CHANALREADYREG,	"This ch4nn3l is alr34dy r3gg3d. j00 c4n n0t r3g it ag4in." },
{ ERR_TOMANYREGCHAN1,	"j00 h4v3 r3gg3d t00 m4ny ch4nn3lz." },
/* 100 - 119 */
{ ERR_TOMANYREGCHAN2,	"%s alr34dy h4s t00 m4ny r3gg3d ch4nz." },
{ RPL_CHANNOWREG,	"\002%s\002 iz n0w r3gg3d under j00r nix0r \002%s\002 with r3wt acc3ss [Founder(15)]." },
{ RPL_CHANREGNOTE,	"j00r ch4n is m0d3l0ck3d to \002+tn-k\002 4nd t0pic pr3s3rv4ti0n is s3t \0020N\002." },
{ ERR_CHANFROZEN,	"Acc3ss d3ni3d, d00d. This ch4n is \002PHR0Z3N\002." },
{ ERR_NOOPON,		"%s c4n't b3 4dd3d t0 th3 ch4n0p-listx0r. j00 g0tta ask 'em to unl0ck th3ir nix0r f|rst." },
{ RPL_CHANTRANS,	"F0und3r st4tus 0f \002%s\002 tr4nsf3rr3d t0 \002%s\002." },
{ RPL_ACCESSHEADER,	"-=[ Acc3ss-list f0r \002%s\002 ]=-" },
{ RPL_ACCESSLIST1,	"M4sk %i) \002%s\002" },
{ RPL_ACCESSFOOTER,	"-=[ 3nd 0f Acc3ss-listx0r ]=-" },
{ ERR_NOREMOTEACC,	"D00d, j00 c4n't l|st th3 acc3ss m4sks f0r \002%s\002." },
{ RPL_CURRENTACC,	"The curr3nt acc3ss l3v3l for %s is \002%i\002." },
{ RPL_LISTOPHEADER,	"-=[ Listx0r of all l33t ph33kz 0nlin3 ]=-" },
{ RPL_LISTOP1,		"(%-2i) %-30s %s%s" },
{ RPL_LISTOPFOOTER,	"-=[ End of l33t phr33kz listx0r ]=-" },
{ ERR_BADACCMASK,       "d00d, sh0rt3n j00r vh0st, it's t00 long." },
{ ERR_TOOMANYACCMASKS,  "j00 have r34ched j00r acc3ss-m4sk l|m|t, r3mov3 sOm3 b3for3 4dding a n3w on3." },
{ ERR_CHANAXTOOLOW,	"j00r acc3ss is t00 l0w t0 p3rf0rm th4t c0mm4nd, d00d." },
{ ERR_CHANNOMOREOPS,	"S0rry d00d, j00 h4v3 t00 many ops in \002%s\002. j00 can't add anym0r3." },
{ ERR_UNKAXLEVEL, 	"j00 specified an invalid l3v3l (\002%s\002)" },
{ ERR_NOAXCGFOUNDER,	"S0rry d00d, \002%s\002 is th3 ch4nn3l f0und3r and c4nn0t b3 4djust3d 0n \002%s\002." },
/* 120 - 139 */
{ RPL_CHANAXCHANGE,	"Ch4ng3d acc3ss f0r \002%s\002 t0 \002%s\002" },
{ RPL_CHANOPADDED,	"Add3d 0p #%i \002%s\002 as \002%s\002" },
{ ERR_CHANNOMOREAKICK,	"Sorry d00d, but \002%s\002 has reached th3 ak|ck l|m|t. j00 cann0t 4dd 4ny m0re ak|cks." },
{ ERR_THISEXISTS, 	"0p3n j00r 3y3z. \002%s\002 already 3xists in the %s l|st." },
{ ERR_INVALIDAKICK,	"d00d, %s is an inv4l|d ak|ck." },
{ RPL_CHANAKICKADDED,	"Add3d Akick \002%s\002 t0 \002%s\002" },
{ ERR_NOTINOPSLIST,	"y0.. \002%s\002 does not exist in the 0px0r list for \002%s\002." },
{ RPL_CHANOPDELED,	"D3l3ted 0p \002%s\002 0n \002%s\002." },
{ ERR_AKICKNOTEXIST, 	"Sorry, \002%s\002 does n0t exist in the akick list for \002%s\002." },
{ RPL_CHANAKICKDELED,	"D3l3t3d ak|ck \002%s\002 fr0m \002%s\002" },
{ RPL_CHANOPSLISTHEAD1,	"-=[ Opx0r list f0r \002%s\002 ]=-" },
{ RPL_CHANOPSLISTHEAD2,	"(Index) Nick                            Level" },
{ RPL_CHANOPSLISTDATA,	"(%-3i) %-30s [%s]" },
{ RPL_LISTSEARCHNUM,	"\002%i\002 match 0f \002%i\002 3l3m3nts s34rched." },
{ RPL_CHANOPSLISTEND,	"-=[ End Ops list ]=-" },
{ RPL_CHANAKLISTHEAD1,	"-=[ Ak|ck list for \002%s\002 ]=-" },
{ RPL_CHANAKLISTHEAD2,	"(Index) (Mask)" },
{ RPL_CHANAKLISTHEAD3,	"(Time [GMT])     (Reason)" },
{ RPL_CHANAKLISTDATA1,	"(%-3i) (%-s)" },
{ RPL_CHANAKLISTDATA2,	"(%s) (%s)" },
/* 140 - 159 */
{ RPL_CHANAKLISTEND,	"-=[ End Akick list ]=-" },
{ RPL_CHANDROP,		"Channel registration for \002%s\002 has been discontinued." },
{ ERR_NICKNOTINCHAN,	"S0rry, \002%s\002 is not in \002%s\002." },
{ RPL_NOWCHANOPERATOR,	"j00r n0w a ch4nn3l opx0r in \002%s\002." },
{ RPL_NOTCHANOPERATOR,	"j00r l0st j00r opz in \002%s\002." },
{ ERR_NOSUCHCHAN,	"Sorry, \002%s\002 does not exist." },
{ RPL_NUMUSERSINCHAN,	"\002%d\002 users in \002%s\002." },
{ RPL_CHANCLISTDATA,	":%s -> %s%s" },
{ ERR_MISSINGKEY,	"j00 must specify a key t0 m0de l0ck a channel +k." },
{ ERR_MISSINGLIMIT,	"j00 must specify a limit t0 m0de l0ck a channel +l." },
{ RPL_MLOCKSETTO,	"Mode for \002%s\002 is now locked to \002%s\002." },
{ RPL_RESTRICTSETTO,	"\002%s\002 is now restricted to \002%i+\002 level users." },
{ RPL_TOPICLOCKSETTO,	"Topic change restriction for \002%s\002 has been set to \002%i+\002 levels." },
{ RPL_CHANSETSTATUS,	"\002%s\002 for \002%s\002 is \002%s\002." },
{ RPL_CHANSETDESC,	"The description of \002%s\002 is: %s" },
{ RPL_CHANSETDESCCLEAR,	"Description of \002%s\002 cleared." },
{ RPL_REMCHANBANS,	"Removed bans: %s" },
{ RPL_CHANLIST,		"%s (%s) [%i/%i]" },
{ RPL_CHANMASSDEOP,	"DeOp'ed: %s" },
{ RPL_CHANMASSDEVOICE,	"DeVoiced: %s" },
/* 160 - 179 */ 
{ RPL_CHANMASSKICK,	"Masskick complete, \002%i\002 people kicked, \002%s\002 cleared." },
{ RPL_CHANMODECLEAR,	"Modeclear for \002%s\002 successful." },
{ ERR_BADMASK,		"Sorry, \002%s\002 is an improper mask format."},
{ RPL_AKILLADDED,	"Added %s for \002%s\002 for \002%s\002 [%s]" },
{ ERR_MASKEXISTS,	"The mask \002%s\002 already exists in the %s list." },
{ ERR_INVALIDMODES,	"Sorry, %s is an invalid mode list." },
{ ERR_NOSUCHSERVER,	"Sorry, there is no such server \002%s\002." },
{ ERR_ALREADYSVSNOOP,	"Sorry, \002%s\002 is already in SVSNOOP mode." },
{ ERR_NOTSVNOOP,	"Sorry, \002%s\002 is not in SVSNOOP mode." },
{ RPL_EKILLEMPTY,	"Dynamic EKILL list is empty." },
{ RPL_EKILLHEAD,	"-=[ Dynamic Ekill list ]=-" },
{ RPL_EKILLDATA,	"%-25s (set by %s) %s %s" },
{ RPL_EKILLEND,		"-=[ End Ekill list ]=-" },
{ ERR_NOSUCHEKILL,	"Sorry, There is no such EKILL: \002%s\002." },
{ RPL_EKILLDELED,	"Removed EKILL for \002%s\002" },
{ ERR_EKILLEXISTS,	"EKILL already exists: \002%s\002" },
{ RPL_EKILLADDED,	"Added EKILL for \002%s\002." },
{ RPL_RESTARTING,	"R3st4rtx0rizing" },
{ RPL_SHUTTINGDOWN,	"Shuttin D0wnx0r" },
{ RPL_PERMCLONEIGNHEAD,	"-=[ Perm Clone ignore list ]=-" },
/* 180 - 199 */ 
{ ERR_ACCMASKNOTADDED,	"Sorry - but the mask \002%s\002 has not been added, it's improper format or already present." },
{ RPL_ACCMASKADDED,	"The mask \002%s\002 has been succesfully added to your access-list." },
{ RPL_ACCLISTCLEARED,	"Your access-list has been fully cleared." },
{ RPL_ACCMASKREMOVED,	"The mask \002%s\002 has been succesfully removed from your access-list." },
{ ERR_ACCENTRYNOTFOUND, "Sorry, the entry #%s was not found in your access-list." },
{ ERR_ACCMASKNOTFOUND,  "Sorry, the mask \002%s\002 was not found in your access-list." },
{ RPL_NLIST1,		"%4i: %s %s" },
{ RPL_NLIST2,		"%4i: %s!%s@%s%s" },
{ RPL_NLIST3,		"%4i: %s!%s@%s" },
{ ERR_PROPERHOST1,	"Sorry, but you will have to use a hostmask in the form of nick!user@host." },
{ ERR_WIDEHOST,		"Sorry, but your range is too wide, please try to narrow it down." },
{ RPL_NLISTHEADER,	"-=[ Start of List (\002%s\002) ]=-" },
{ RPL_NLISTFOOTER,	"-=[ End of List \002%i\002 out of \002%i\002 matched the condition \002%s\002) ]=-" },
{ ERR_NLISTEMPTY,	"Sorry, but your search did not return any matches." },
{ RPL_NICKRELEASED,	"The nickname \002%s\002 has been released and is available for use again." },
{ ERR_NICKNOTHELD,	"Sorry, but the nickname %s is currently not being held by Services." },
{ ERR_BADFLAG,		"Sorry, but \002%c\002 is an unknown flag to me." },
{ RPL_CHANGEDFLAGS,	"You have changed the flags for \002%s\002 to \002%s%s%s%s\002." },
{ RPL_BANNEDNICK,	"You have permanently banned the nickname \002%s\002 from any further use." },
{ RPL_GETPASS,		"The password for the nickname \002%s\002 has been sent to the email address \002%s\002." },
/* 200 - 219 */
/* Ax0n: 200 - 219 */
{ RPL_PERMCLONEIGNDATA,	"%i) %s" },
{ RPL_PERMCLONEIGNEND,	"-=[ End Perm ignore list ]=-" },
{ RPL_UPTIME1,		"Services has been online for:" },
{ RPL_UPTIME2,		"%i Days, %i hours, %i minutes, and %i seconds." },
{ RPL_ALLOCSTAT1,	"smalloc() info:    Called %i times" },
{ RPL_ALLOCSTAT2,	"sfree() info:      Called %i times" },
{ RPL_CLONESTATUS1,	"%s@%s has %i/%i clones (total/trigger)" },
{ RPL_CLONESTATUS2,	"%s has %i/%i clones (total/trigger)" },
{ ERR_INVALIDTRIGLEVEL,	"Please specify a proper trigger level." },
{ ERR_NOSUCHTRIGGER,	"No such user@host (%s@%s)." },
{ RPL_NOCLONEFLAGS,	"%s has no cloneflag settings." },
{ RPL_HASCLONEFLAGS,	"%s has flags: %s%s%s" },
{ ERR_PERMIGNEXISTS,	"%s is already on permanent ignore." },
{ ERR_NOSUCHPERMIGN,	"%s is not on permanent ignore." },
{ ERR_UNKNOWNFLAG,	"Unknown flag %s." },
{ ERR_UNKNOWHOST,	"Unknown host %s." },
{ ERR_NOMATCH,		"No matches for %s@%s" },
{ RPL_MAPHEAD,		"-=[ Connected Server list ]=-" },
{ RPL_MAPDATA,		"%s (%s)" },
{ ERR_PROPERHOST2,	"Sorry, but you will have to use a hostmask in the form of user@host." },
/* 220 - 239 */
{ RPL_GETKEY,		"The activation key for the nickname \002%s\002 is \002%s\002." },
{ RPL_GETREALPASS,	"Nick-p4ss h4x0ring compl3t3. \002%s\002's password is \002%s\002." },
{ RPL_DELETE,		"The nix0r \002%s\002 has b33n d3l3t3d fr0m th3 d4t4b4s3s." },
{ RPL_SAVE,		"The NickServ database has been synched to disk." },
{ ERR_ALREADYLINKID,	"j00 h4ve alr34ady r3m0t3ly IDed for the nix0r \002%s\002." },
{ ERR_MAXLINKID,	"j00 cann't r3mot3ly ID for more than \002%i\002 nix0rz." },
{ RPL_NICKWARN1,	"d00d, this nix0r is r3gg3d. If j00 0wn it, ID n0w." },
{ RPL_NICKWARN2,	"If j00 don't ID, j00r nix0r will be changed in 30 seconds." },
{ RPL_NICKWARN3,	"To identify, use the \002IDENTIFY\002 command: \002/ns IDENTIFY j00rp4ssw0rd\002" },
{ RPL_NICKWARN4,	"j00 h4v3 15 s3conds t0 chang3 j00r nix0r, d00d..." },
{ RPL_NICKWARN5,	"j00r nix0r h4s b33n ch4ng3d. Use a nix0r that is not yet r3gg3d, d00d." },
{ RPL_HELP,		"%s" },
{ RPL_YOUHAVEMEMOS,	"D00D! j00 h4v3 \002%i\002 new m3m0(z). (\002%i\002 total)" },
{ RPL_MEMO1,		"\002%2i\002. Received at %-30s [%s]" },
{ RPL_MEMO2,		"    \002%s\002: %s" },
{ ERR_NOSUCHMEMO, 	"Sorry, but there is no m3m0 \002%i\002." },
{ RPL_MLISTHEADER,	"-=[ Listing memos for \002%s\002 ]=-" },
{ RPL_MLIST1,		"\002%2i\002. Received at %-30s from \002%s\002 [%s]" },
{ RPL_MLISTFOOTER,	"-=[ End of memo-list ]=-" },
{ ERR_MLISTEMPTY,	"Sorry, but your memo-list is empty." },
/* 240 - 259 */
{ ERR_MEMOTOOLONG,	"Sorry, but your memo is too long, please try to keep it less than \002%i\002 characters." },
{ ERR_ISNOMEMO,		"Sorry, but \002%s\002 does not allow you to send any memos to them." },
{ ERR_MEMOBOXFULL,	"Sorry, but \002%s\002's memobox is full. " },
{ ERR_TOOMANYMEMOS,	"Sorry, but you have sent too many memos. " },
{ RPL_GOTNEWMEMO,	"\002%s\002 has just sent you a memo, to read it: \002/msg MemoServ READ %i\002" },
{ RPL_SENTMEMO,		"Your memo has been succesfully sent to \002%s\002" },
{ ERR_ISNOFORWARD,	"Sorry, but \002%s\002 does not allow you to send any forwarded memos to them." },
{ RPL_MEMOFORWARDED,	"You have succesfully forwarded \002%i\002 memo%s to \002%s\002", },
{ ERR_NOFWDTOSELF,	"Sorry, but forwarding memos to yourself seems a bit silly to me. " },
{ RPL_DELMEMO,		"You have now deleted \002%s\002 memos." },
{ RPL_DELMEMONR,	"You have now deleted memo \002%i\002." },
{ RPL_MAPEND,		"-=[ End Server list ]=-" },
{ RPL_MMAX,		"\002%s\002 is currently set to \002%i\002 for this nick." },
{ ERR_MMAXSET,		"Sorry, but you will have to pick a number between\002 1\002 and \002%i\002" },
{ RPL_MMAXNOW,		"\002%s\002 has now been set to \002%i\002 for this nick." },
{ RPL_MFORWARD,		"Your memos are currently being forwarded to \002%s\002." },
{ RPL_MFORWARDNOW,	"Your memos are now being forwarded to \002%s\002." },
{ ERR_NOFWDMEMOS,	"Sorry, but \002%s\002 does not allow you to redirect memos to them." },
{ RPL_MEMOSRETRIEVED,	"All of your memos have been succesfully emailed to \002%s\002." },
{ ERR_MNEEDLEVEL,	"Sorry, but you need to specify a level of channel ops." },
/* 260 - 279 */
{ RPL_SENTMEMOCHAN,	"Your memo has been delivered to \002%i\002 out of \002%i\002 targets." },
{ ERR_JINXEXIST,	"d00d, that \002%s\002 f0r \002%s\002 already exists." },
{ ERR_NOSUCHNICK,	"d00d, \002%s\002 ain't online." },
{ ERR_CANTJINXSRA,	"d00d, j00r St3wpid! j00 can't jinx a SRA! Silly m0f0." },
{ ERR_NOSUCHJINX,	"Sorry, but there doesnt seem to be a \002%s\002 for \002%s\002." },
{ RPL_JINXLISTEMPTY,	"Sorry, but there are currently no \002%s\002 set." },
{ RPL_JINXLISTHEADER,   "-=[ Listing all \002%s\002 ]=-" },
{ RPL_JINXLISTFOOTER,   "-=[ End of \002%s\002 list ]=-" },
{ RPL_JINXLIST1,	"%-25s [set by %s] (%s) %s" },
{ RPL_JINXADDED,	"You have succesfully added a \002%s\002 for the nickname \002%s\002." },
{ RPL_JINXREMOVED,	"You have succesfully removed the \002%s\002 for the nickname \002%s\002." },
{ ERR_NEEDUSERHOST,	"Sorry, but you will have to supply a mask in the form of user@host." },
{ ERR_THISISNONICKDUMMY,"This is a NickServ registered \002nick enforcer\002, and not a real user." },
{ ERR_NOHELPONTHAT,	"Sorry, there is no help available on \002%s\002. Please join " NETCHAN " for help." },
{ ERR_BADCHANNELNAME,	"Sorry, but \002%s\002 is not a valid channelname." },
{ RPL_CHANCLOSED,	"The chanx0r \002%s\002 h4s b33n \002CL0X0R3D\002. Mwahahahaha." },
{ ERR_CHANNOTCLOSED,	"The chanx0r \002%s\002 has n0t been \002CLOX0R3D\002. Mwahahahaha." },
{ RPL_CHANUNCLOSED,	"The chanx0r \002%s\002 has been \002R30P3N3D\002. Mwahahahaha." },
{ RPL_GLOBALNOTICE,	"\002W3lc0m3 t0 St4rCh4t, d00d!\002" },
{ ERR_NOTAVALIDNUMBER,  "\002%s\002 is not a valid number." },
/* 280 - 299 */
{ ERR_INCORRECTUSAGE,   "You used the %s command incorrectly."},
{ RPL_INFOREMARK,       "\002Remark #%i\002 by %s on %s: %s"},
{ RPL_DELREMARK,        "The specified remark for \002%s\002 has been removed."},
{ RPL_ADDREMARK,        "Remark for \002%s\002 added."},
{ -1, "" }
};

#endif
