/* replies.h:
 * Here you can edit the replies services gives..
 * a few notes:
 * 1> DO NOT EVER REMOVE ANYTHING STARTING WITH A %
 *    If you do, services will probably coredump and I'll smack you, alot.
 * 2> Some replies carry across commands...such as:
 *    NO_ACCESS "Access denied."
 *    Such things will be marked :)
 */


/* Nick not registered/not active */
#define ERROR_NOTREG	  	":%s NOTICE %s :Your nickname is not registered."
#define ERROR_NOTACTIVE	":%s NOTICE %s :Your nickname is not activated."
/* Unknown command reply */
#define ERROR_BADCMD	  	":%s NOTICE %s :Unknown command %s\r:%s NOTICE %s :Please try \002/MSG %s HELP\002 for assistance"
/* Incorrect usage reply */
#define ERROR_BADUSE	  	":%s NOTICE %s :Incorrect syntax."
/* Incorrect usage reply for Webbies */
#define ERROR_BADUSE_WEBTV      ":%s PRIVMSG %s :Incorrect syntax."                                                      
/* No access error */
#define ERROR_ACCESSDENIED 	":%s NOTICE %s :Access denied."

/* Database synch thingy */
#define REPLY_DBSYNCH   ":%s NOTICE %s :Next database synch(save) in %d minutes."

/* NickServ ID replies */
#define NSID_ACCEPT 		":%s NOTICE %s :Password accepted. Good to have you back %s!"
#define NSID_DENY		":%s NOTICE %s :Password incorrect, identification failed."
/* NickServ SET replies */
#define NSSET_UNKNOWNFL	":%s NOTICE %s :Unknown setting"
#define NSSET_NEEDPARAM ":%s NOTICE %s :You must specify a parameter"

#define NSSET_KILLIS		":%s NOTICE %s :Your nick kill is currently %s"
#define NSSET_KILLON	  	":%s NOTICE %s :Your nick kill enforcement is now ON"
#define NSSET_KILLOFF	":%s NOTICE %s :Your nick kill enforcement is now OFF"

#define NSSET_ELONGPASS ":%s NOTICE %s :Please specify a password of 15 or less characters"
#define NSSET_CHGPASS   ":%s NOTICE %s :Your password is now \002%s\002, do not forget it! We are not responsible for lost passwords"

#define NSSET_URLGONE	":%s NOTICE %s :Your URL has been cleared"
#define NSSET_URLIS		":%s NOTICE %s :Your URL is now: \002%s\002"

#define NSSET_EMAILIS	":%s NOTICE %s :Your email address is currently \002%s\002"
#define NSSET_EMAILPUB	":%s NOTICE %s :Your email address is now \002public\002"
#define NSSET_EMAILPRIV	":%s NOTICE %s :Your email address is now \002private\002"

#define NSBANISHMSG	"Banished nickname. Please choose another."

