#include "services.h"

int ToRecvQ(char *buffer)
{

    if (!recvQ.messages) {
	strcpy(recvQ.buffer, buffer);
	recvQ.messages = 1;
	recvQ.length = strlen(buffer);
	return 1;
    } else if ((recvQ.length + strlen(buffer)) < MAXRQ) {
	strcat(recvQ.buffer, buffer);
	recvQ.messages++;
	recvQ.length += strlen(buffer);
	return 1;
    }

    return 0;
}

int FromRecvQ(void)
{

    if (!recvQ.messages)
	return 1;
    else {
	breakLine(recvQ.buffer);
	recvQ.messages = 0;
#ifdef DEBUG
	printf("[RECVQ (%i)]\n%s\n", recvQ.length, recvQ.buffer);
#endif
	return 1;
    }

    return 0;
}

int ToSendQ(char *buffer)
{

    if (!sendQ.messages) {
	strcpy(sendQ.buffer, buffer);
	sendQ.messages = 1;
	sendQ.length = strlen(buffer);
	return 1;
    } else if ((sendQ.length + strlen(buffer)) < MAXSQ) {
	strcat(sendQ.buffer, buffer);
	sendQ.messages++;
	sendQ.length += strlen(buffer);
	return 1;
    }

    return 0;
}

int FromSendQ(void)
{

    if (!sendQ.messages)
	return 1;
    else {
	sendQ.messages = 0;
#ifdef DEBUG
	printf("[SENDQ (%i)]\n%s\n", sendQ.length, sendQ.buffer);
#endif
/*	fputs(sendQ.buffer, servout);*/
	send(server,sendQ.buffer, strlen(sendQ.buffer), 0);
	return 1;
    }

    return 0;
}

int listenOnPort(int portnum)
{
    struct sockaddr_in me;
    int sock;
    memset(&me, 0, sizeof(struct sockaddr));
    me.sin_addr.s_addr = INADDR_ANY;	/* any address... */
    me.sin_family = AF_INET;
    me.sin_port = htons((u_short) portnum);

    if ((sock = socket(PF_INET, SOCK_STREAM, 0)) < 0)
	return -1;
    else if (bind(sock, (struct sockaddr *) &me, sizeof(me)))
	return -1;
    else if (listen(sock, 5))
	return -1;
    else
	return sock;		/* we can accept() now, whoopdeedoodoo */
}

int ConnectToServer(char *hostname, int portnum)
{
    struct sockaddr_in sa;
    struct hostent *hp;
    int s;

    if ((hp = resolve(hostname)) == NULL) {
	errno = ECONNREFUSED;
	return (-1);
    }

    bzero(&sa, sizeof(sa));
    bcopy(hp->h_addr, (char *) &sa.sin_addr, hp->h_length);	/* set address */
    sa.sin_family = hp->h_addrtype;
    sa.sin_port = htons((u_short) portnum);

    if ((s = socket(hp->h_addrtype, SOCK_STREAM, 0)) < 0)	/* get socket */
	return (-1);

    if (connect(s, (struct sockaddr *) &sa, sizeof sa) < 0) {
	close(s);
	return (-1);
    }
    return (s);
}


/* various resolving functions...*/

struct hostent *resolve(char *stuff)
{
    struct hostent *hp;

    if ((hp = lookupHost(stuff)) == NULL)
	hp = lookupIP(stuff);

    return hp;
}

struct hostent *lookupHost(char *host)
{
    struct hostent *hp;

    alarm(5);
    hp = gethostbyname(host);
    alarm(0);
    return hp;
}

struct hostent *lookupIP(char *ip)
{
    int p1, p2, p3, p4;
    char doot[4];
    struct hostent *hp;

    p1 = p2 = p3 = p4 = 0;

    sscanf(ip, "%i.%i.%i.%i", &p1, &p2, &p3, &p4);
    doot[0] = p1;
    doot[1] = p2;
    doot[2] = p3;
    doot[3] = p4;
    alarm(5);
    hp = gethostbyaddr(doot, 4, AF_INET);
    alarm(0);
    return hp;
}

/*
 * a renewed sSend that is solely used for advanced sending to users.
 *
 * - Advanced flood-protection
 * - Multilangual support
 * - WebTV support
 *
 * 				Added by GZ (April 2000)
 */

void uSend(char *Service, UserList * nick, char *format, ...)
{
    static char sBuffer[513];
    char sendstring[1024];
    va_list stuff;
    va_start(stuff, format);

    vsnprintf(sBuffer, 511, format, stuff);

    if (!isServop(nick))
	nick->floodbytes += strlen(sBuffer);

    strcat(sBuffer, "\r\n");

    if (nick->webbie) 
        sprintf(sendstring, ":%s PRIVMSG %s :", Service, nick->nick);
    else
        sprintf(sendstring, ":%s NOTICE %s :", Service, nick->nick);

    strcat(sendstring, sBuffer);
    ToSendQ(sendstring);
}

/*
 * a printf() type function for sending data to sockets, very handy
 */

void sSend(char *format, ...)
{
    static char sBuffer[513];

    va_list stuff;
    va_start(stuff, format);
    vsnprintf(sBuffer, 511, format, stuff);
    strcat(sBuffer, "\r\n");
    ToSendQ(sBuffer);
}

void sockSend(int sock, char *format, ...)
{
    static char sBuffer[513];
    int bufferLen;
    va_list stuff;

    va_start(stuff, format);

    vsnprintf(sBuffer, 511, format, stuff);
    strcat(sBuffer, "\n");
    bufferLen = strlen(sBuffer);
/*    write(sock, sBuffer, bufferLen);*/
	send(sock, sBuffer, bufferLen, 0);

#ifdef DEBUG
    printf("sock-> (%i) %s\n", sock, sBuffer);
#endif
}

void logDump(FILE * fp, char *format, ...)
{
    char buffer[512];
    char stuff[80];
    time_t doot = time(NULL);
    va_list crud;

    va_start(crud, format);
    vsnprintf(buffer, 512, format, crud);
    strftime(stuff, 80, "%H:%M:%S[%d/%m/%Y]", localtime(&doot));
    fprintf(fp, "(%s) %s\n", stuff, buffer);

    return;
}

/* send a mail, the arguments should speak for themselves... */

int sendMail(char *to, char *from, char *subject, char *format, ...)
{
    /* if you fill more than this up I will personally kill you */
    char mail[65536];
    va_list stuff;
    FILE *fp;

    fp = popen("/usr/sbin/sendmail -t", "w");
    if (fp) {
	va_start(stuff, format);
	vsnprintf(mail, 65535, format, stuff);
	fprintf(fp, "From: %s\n", from);
	fprintf(fp, "To: %s\n", to);
	fprintf(fp, "Subject: %s\n", subject);
	fprintf(fp, "\n%s\n", mail);
	fprintf(fp, ".\n");
	pclose(fp);
	return 0;
    }
    return -1;
}


/*
 * Add a new user, be that ChanServ or a nick in holding.
 * in the 'mode' variable you can specify +iogsw or any other ircd
 * compatible modes.
 */

void addUser(char *nick, char *user, char *host, char *name, char *mode)
{
    sSend("NICK %s 1 0 %s %s %s :%s", nick, user, host, myname, name);
    sSend(":%s MODE %s :%s", nick, nick, mode);
}

void killUser(Service serv, UserList * user, char *message)
{
    if (!user)
	return;
    sSend(":%s KILL %s :%s!%s (%s)", serv.name, user->nick, serv.host,
	  serv.name, message);
    remUser(user->nick);
}

void userMode(UserList * user, char *mode)
{
    sSend(":%s MODE %s :%s", myname, user->nick, mode);
    setMode(user->nick, mode);
}

/*
 * Break up a string of data into seperate parts and parse those.
 * (parseLine())
 * I'm not sure but this function could be done better(?) if someone
 * wants to improve it...
 */

char junk[4096];

void breakLine(char *tmpbuffer)
{
    int i = 0, a = 0;
    static char sendBuffer[4096];

    if (*junk) {
	strcpy(sendBuffer, junk);
	*junk = 0;
	a = strlen(sendBuffer);
    } else
	a = 0;

    while (*tmpbuffer) {
	i = 0;

	while ((*tmpbuffer) && (*tmpbuffer != '\r')
	       && (*tmpbuffer != '\n')) {
	    sendBuffer[a] = *tmpbuffer;
	    a++;
	    tmpbuffer++;
	}

	sendBuffer[a] = 0;
	a = 0;

	/* danger, assuming VERY specific IRCD behavior */

	while ((*tmpbuffer == '\r') || (*tmpbuffer == '\n')) {
	    i = 1;
	    tmpbuffer++;
	}

	if (!i) {
	    strcpy(junk, sendBuffer);
	    break;
	} else
	    parseLine(sendBuffer);
    }
}


/*
 * parseLine takes server data and moshes it around in here to see what
 * to do with it. :>
 * This will get called to *often*, so I'd like to make it very streanlined
 * if it can be done in assembly...:>
 * Also, I am assuming ircd will send commands in uppercase only, if this is
 * not the case, then it should be fixed, strcasecmp is a more expensive
 * function and all....
 */

void parseLine(char *line)
{

    UserList *tmp;
    int i = 0;
    int cmdpointer = 0;
    char *args2[253];
    char *args[256];
    char realargs[256][513];	/* 2D arrays...C doesn't do them well...*shrug* */
    int numargs = 0;

    if (!(*line))
	return;

    for (i = 0; i < 256; i++)
	args[i] = realargs[i];

    strcpy(coreBuffer, line);
    CTime = time(NULL);

    numargs = breakString(255, line, args, " \t");

    /* ensure the next item is null so we can check it later */
    args[numargs] = NULL;

    if (args[0][0] == ':')
	{
		args[0]++;
		cmdpointer = 1;
    }

    if (!cmdpointer)
	{		/* LINE DOES NOT START WITH : -- COMMAND IS FIRST */
		if ((!strcmp(args[0], "PING")) || (!strcmp(args[0], "8")))
		{
		    sSend("PONG :%s", myname);
		    return;
		}

		/* Close my link? nuhuh. */
		else if ((!strcmp(args[0], "ERROR") || (!strcmp(args[0], "5"))) && !strcmp(args[1], ":Closing"))
		{
		    sshutdown(0);
		    return;
		}
		else if ((!strcmp(args[0], "SERVER")) || (!strcmp(args[0], "'")))
		{
		    AddServer(args[1], args[3]);	
		    strcpy(hostservername, args[1]);
		    synched = 0;
		    return;
		}
		else if ((!strcmp(args[0], "NICK")) || (!strcmp(args[0], "&")))
		{
		    addNewUser(args, numargs);	/* nickserv.c, add new user. */
		    return;
		}
		else if ((!strcmp(args[0], "SNICK")) || (!strcmp(args[0], "}")))
		{
		    addNewUserSN(args, numargs);	/* nickserv.c, add new user. */
		    return;
		}
		/* Server SQUIT'ing - remove it from our little list. */
		else if ((!strcmp(args[0], "SQUIT")) || (!strcmp(args[0], "-")))
		{
		    DeleteServer(args[1]);
		}
	}
	else
	{			/* : FIRST, NICK OR SERVER FOLLOWED BY COMMAND */
		if ((!strcmp(args[1], "PRIVMSG")) || (!strcmp(args[1], "!")))
		{
		    tmp = getNickData(args[0]);

		    if (!tmp) return;
		    synched = 1;

		    if (strchr(args[2], '#') || strchr(args[2], '$'))
			return;

		    args[3]++;
		    for (i = 3; i < numargs; i++)
			args2[i - 3] = args[i];
		    numargs -= 3;
		    args2[numargs] = NULL;

		    if (!strncasecmp(args[2], OperServ, strlen(OperServ)) || !strcasecmp(args[2], "Oper"))
			sendToOperServ(tmp, args2, numargs);
		    else if (!strncasecmp(args[2], NickServ, strlen(NickServ)) || !strcasecmp(args[2], "Nick"))
			sendToNickServ(tmp, args2, numargs);
		    else if (!strncasecmp(args[2], ChanServ, strlen(ChanServ)) || !strcasecmp(args[2], "Chan"))
			sendToChanServ(tmp, args2, numargs);
		    else if (!strncasecmp(args[2], MemoServ, strlen(MemoServ)) || !strcasecmp(args[2], "Memo"))
			sendToMemoServ(tmp, args2, numargs);
		    else if (!strncasecmp(args[2], WebServ, strlen(WebServ)))
			sendToWebServ(tmp, args2, numargs);
			else
			uSend(NickServ, getNickData(args[0]),
			      GetReply(ERR_THISISNONICKDUMMY,
				       getNickData(args[0])));
		    return;
		}

	/* Make sure servers don't mess up the JINX tables -GZ */
		else if ((!strcmp(args[1], "JINX")) || (!strcmp(args[1], "t")))
		{
		    /* We no longer have pure hostjinx'es as we did before...
		       However, I'm not 100% sure yet if this check should
		       stay or go. I'm leaving CheckHostJinx in jinx.c for now.
		       -- Remmy 20020430 */
		    /* CheckHostJinx(args[0], args[2], 1); */
		    return;
		}

		else if ((!strcmp(args[1], "UNJINX")) || (!strcmp(args[1], "t")))
		{
		    /* CheckHostJinx(args[0], args[2], 0); */
		    return;
		}

		/* Some server is introducing another server - store it. -GZ */

		else if ((!strcmp(args[1], "SERVER")) || (!strcmp(args[0], "'")))
		{
		    AddServer(args[2], args[4]);
		    return;
		}

/* First, when someone leaves lets deal with that... */

		else if ((!strcmp(args[1], "QUIT")) || (!strcmp(args[1], ",")))
		{
		    remUser(args[0]);	/* nickserv.c, remove user. */
		    if (CheckJinx(args[0]))
			{
				DeleteJinx(args[0]);
				sSend(":%s GLOBOPS :%s left IRC. JINX has been removed",
				      OperServ, args[0]);
			}
		    return;
		}

	/* Nick change */
		else if ((!strcmp(args[1], "NICK")) || (!strcmp(args[1], "&")))
		{
		    tmp = getNickData(args[0]);

		    changeNick(args[0], args[2], args[3]);
		    return;
		}

	/* Deal with MODE -- ignoring services itself */

		else if ((!strcmp(args[1], "MODE") || (!strcmp(args[1], "G")))
			 && !strcmp(args[0], args[2]))
		{
		    if (strcasecmp(args[0], OperServ)
			&& strcasecmp(args[0], NickServ)
			&& strcasecmp(args[0], ChanServ)
			&& strcasecmp(args[0], MemoServ)
			&& strcasecmp(args[0], WebServ)
			&& strcasecmp(args[0], "Nick")
			&& strcasecmp(args[0], "Chan")
			&& strcasecmp(args[0], "Memo")
			&& strcasecmp(args[0], "Oper")) setMode(args[0], args[3]);
		    return;
		}

	/* MODE got to here -- must be a channel mode */

		else if ((!strcmp(args[1], "MODE")) || (!strcmp(args[1], "G")))
		{
		    if(numargs > 0) {
		    	setChanMode(args, numargs);
		    } else {
			logDump(chanlog, "Recieved MODE %s with %i arguments!\n", args, numargs);
		    }
		    return;
		}

	/* TOPIC Change */

		else if ((!strcmp(args[1], "TOPIC")) || (!strcmp(args[1], ")")))
		{
		    setChanTopic(args, numargs);
		    return;
		}

	/* USER SETS AWAY MODE */

		else if ((!strcmp(args[1], "AWAY")) || (!strcmp(args[1], "6")))
		{
		    if (numargs < 3)
			setFlags(args[0], NISAWAY, '-');
		    else
			setFlags(args[0], NISAWAY, '+');
		    return;
		}

		else if ((!strcmp(args[1], "SJOIN")) || (!strcmp(args[1], "|")))
		{
		    int c, d;
		    char buffer[600];
		    char modes[200];

		    bzero(buffer, 600);
		    bzero(modes, 200);
		    /* locate where nicklist starts and put it in one string */
		    for (d = 3; d < 8; d++) if (args[d][0] == ':') break;
		    for (c = d; c < numargs; c++)
			{
				strcat(buffer, args[c]);
				strcat(buffer, " ");
		    }

		    /* extract channelmodes out of SJOIN and convert it to
		     * an every day MODE command and inject it back into 
		     * our parser. -GZ
		     */

		    if (strcasecmp(args[5], "<none>"))
			{
				sprintf(modes, ":%s MODE %s ", args[0], args[3]);
				for (c = 4; c < d; c++)
				{
				    strcat(modes, args[c]);
				    strcat(modes, " ");
				}
				parseLine(modes);
		    }

		    /* Parse the rest of the SJOIN */

		    ParseSJOIN(args[3], buffer);
		    return;
		}

	/* JOINS CHANNEL -- Add user to chanlist */

		else if ((!strcmp(args[1], "JOIN")) || (!strcmp(args[1], "C")))
		{
		    tmp = getNickData(args[0]);

		    if (!tmp) return;

		    addUserToChan(tmp, args[2]);
		    return;
		}

	/* USER PARTS CHANNEL -- Clean off channel list */

		else if ((!strcmp(args[1], "PART")) || (!strcmp(args[1], "D")))
		{
		    remUserFromChan(getNickData(args[0]), args[2]);
		    return;
		}

	/* USER KICKED FROM CHANNEL -- CLEAN UP */

		else if ((!strcmp(args[1], "KICK")) || (!strcmp(args[1], "H")))
		{
		    if (numargs > 3) doKick(getNickData(args[0]), getNickData(args[3]), args[2]);
		    return;
		}

	/* looks at kills, and DONT KILL SERVICES! }:> */

		else if ((!strcmp(args[1], "KILL")) || (!strcmp(args[1], ".")))
		{
		    int ncheck;

		    for (ncheck = 0; ncheck < 5; ncheck++)
			{
				if (!strcasecmp(args[2], services[ncheck].name))
				{
				    addUser(services[ncheck].name, services[ncheck].uname,
					    services[ncheck].host, services[ncheck].rname,
					    services[ncheck].mode);
				    killUser(services[ncheck], getNickData(args[0]),
					     "Killing services is bad form!");
				    sSend(":%s GLOBOPS :%s attempted to kill services",
					  services[ncheck].name, args[0]);
				    return;
				}
			}

		    if (CheckJinx(args[2]))
			{
				DeleteJinx(args[2]);
				sSend(":%s GLOBOPS :%s left IRC. JINX has been removed",
				      OperServ, args[2]);
		    }

		    if (isGhost(args[2]))
			{
				delGhost(args[2]);
				return;
		    }
			else
			{
				remUser(args[2]);	/* nickserv.c, remove user from /killism */
		    }
		    return;
		}

		else if ((!strcmp(args[1], "MOTD")) || (!strcmp(args[1], "F")))
		{
		    tmp = getNickData(args[0]);
		    showMotd(args[0]);
		    return;
		}

		else if ((!strcmp(args[1], "VERSION")) || (!strcmp(args[1], "+")))
		{
		    tmp = getNickData(args[0]);
		    sSend(":%s 351 %s services-%s %s :H", myname, args[0], VERSION, myname);
		    return;
		}

	/* SQUIT SOMETHING -- A JUPE? */

		else if ((!strcmp(args[1], "SQUIT")) || (!strcmp(args[1], "-")))
		{
		    time_t jupe;
		    if (!index(args[0], '.'))	/* IF NO "." IT'S A NICK -- LOG IT */
			{
				jupe = time(NULL);
		
				DeleteJupe(args[2]);

				sSend(":%s GLOBOPS :%s Un-jupitered by %s", myname, args[2], args[0]);
				logDump(operlog, "%s Un-jupitered by %s", args[2], args[0]);
		    }
		    return;
		}
    }
    /* WELP, IF WE GOT HERE, IT'S NOT THAT IMPORTANT */
}
