/*
 * Serenity-IRC Language Format Table: Cajun
 *
 * Revised November 2000 - jinxi
 */

#ifndef CAJUN__H
#define CAJUN__H

#include "services.h"

struct FormatTable CajunReplies[] = {
/* 0 - 19 */
{ RPL_CUSTOM,		"Custom Message" },
{ ERR_NEEDREGNICK,	"Ain? Mais, register de nick to do dat." },
{ ERR_NEEDACTNICK,	"Ain? Mais, activate de nick to do dat." },
{ ERR_NEEDSRA,		"Dn be so coo-yn! I dn tink yo a Services Rt Administratah." },
{ ERR_NEEDSERVOP,	"Dn be so coo-yn! I dn tink yo a Services Operatah." },
{ ERR_NEEDOPER,		"Dn be so coo-yn! I dn tink yo one dem Ayarzee Operatahs." },
{ ERR_UNKNOWNCOMMAND,	"\002%s\002 dn make no sense. Pass by #starchat to axe for help." },
{ RPL_MOREHELP,		"\002/msg %s help\002 for dat chse." },
{ RPL_DEBUGHEADER,	"[%s De Bebette]" },
{ RPL_DEBUGFOOTER,	"[End De Bebette]" },
{ RPL_DEBUGLINE1,	"%-15s %-15s %-15s %-15s" },
{ RPL_DEBUGLINE2,	"\002%-15s\002 %-15d %-15d %-15d" },
{ ERR_BADPARAMS,	"I dn know what dat is. Dey want mo informashun." },
{ RPL_PASSOKAY,		"Dass de rite password for \002%s\002." },
{ RPL_YOUAREROOT,	"Ga lee luk at de size o dat gator!" },
{ RPL_YOUARESERVOP,	"Coooh luk at da size o dat crawfish!" },
{ RPL_NOCHANGEPASS,	"Serenity-IRC says change yo password afor a peeshwank go get yo nick." },
{ RPL_MOREHELPCMD,	"\002/msg %s help %s\002 for dat informashun o pass by #starchat to axe for help." },
{ RPL_PASSNOTOKAY,	"Pass! Dat is no de right password for \002%s\002." },
{ RPL_EMAILHACK1,	"Ain? Dass no de right one! Dn do dat!" },
/* 20 - 39 */
{ RPL_EMAILHACK2,	"De correct password got sent to de Email address for dis nick." },
{ RPL_EMAILHACK3,	"What you was tinking? Dn identify 'til yo see de Email." },
{ RPL_EMAILHACK4,	"Pass by " NETCHAN " if yo dn receive de Email in 15 minutes." },
{ RPL_EMAILHACK5,	"Meenoo! Serenity-IRC put da gree gree on yo if yo continue enter de incorrect password." },
{ RPL_EMAILHACK6,	"Dn boude'! I told yo dn do dat an now yo make a big bahbin!" },
{ ERR_NICKNOTREGGED,	"\002%s\002 dn be a registered nick." },
{ RPL_INFOHEADER,	"[\002%s\002 NickServ Informashun]" },
{ RPL_INFOFOOTER,	"[End NickServ Informashun]" },
{ RPL_INFOBANISHED,	"Dat nick dn be used on Serenity-IRC." },
{ RPL_INFONOWON,	"[Currently on Serenity-IRC] - For mo informashun: /whois %s" },
{ RPL_INFODEREG,	"Dat nick be deregistered by Serenity-IRC." },
{ RPL_INFOLASTSEEN1,	"Last Address  - %s@%s [%s]" },
{ RPL_INFOLASTSEEN2,	"Last Here     - %s" },
{ RPL_INFOREGGEDON,	"Registered    - %s" },
{ RPL_INFOEMAIL,	"Email Address - %s" },
{ RPL_INFOACCESS,	"Services Axes - %s" },
{ RPL_INFOOPTIONS,	"De Options    - %s" },
{ RPL_INFOMEMO,		"Meenoo Tings  - %s" },
{ RPL_INFOLINKID,	"Remote Hidee  - %s" },
{ RPL_INFOCURRENTACC,	"Axes Now      - %s" },
/* 40 - 59 */
{ RPL_INFODATA,		"Ayarzee Tings - [Bayous: %i] [Meenoos: %i] [Masks: %i] [Swamplevel: %i]" },
{ RPL_INFOSTATUS,	"Status Now    - %s" },
{ RPL_INFOREGBY,	"Registered    - %s@%s" },
{ RPL_INFOTIMENOW,	"De Time Now   - %s" },
{ ERR_NEEDID,		"Identify to NickServ afor using dat chse." },
{ RPL_NSETIS,		"\002%s\002 be set to \002%s\002 for dis nick." },
{ RPL_NSETNOW,		"\002%s\002 now be set to \002%s\002 for dis nick." },
{ ERR_BADSETTING,	"Ain? \002%s\002 dn be a ting I know." },
{ ERR_BADPASSWORD,	"Dat not a good chse. Get anudder password." },
{ RPL_PASSWORDNOW,	"\002%s\002 is de nick password." },
{ ERR_VALIDEMAIL,	"Ain? Dat not a good chse. Say annuder Email address like de form o user@host." },
{ ERR_NICKLIMIT,	"Shah gator! Serenity-IRC say no mo dan five (5) nicks per Email address." },
{ ERR_NOWEBMAIL,	"Beb, Serenity-IRC prefers no web-based Email for registration." },
{ RPL_TEMPDEAC1,	"Nick dn work til yo get yo new Email authorized." },
{ RPL_TEMPDEAC2,	"Reactivate dat nick by use de activation ting in de Email." },
{ RPL_TEMPDEAC3,	"All de tings for yo nick be saved I guawantee." },
{ RPL_TEMPDEAC4,	"Mais, de registration key be at \002%s\002." },
{ ERR_NOMAILSENT,	"Ain? Mais, dat Email did not go to de specified address. Pass by " NETCHAN " now." },
{ ERR_ALREADYREG,	"Dat nick be registered and yo dn be registered again." },
{ ERR_NEEDTOACT,	"Dat nick be registered, yo can only activate dat now." },
/* 60 - 79 */
{ ERR_CANNOTREGTHIS,	"Dn be so coo-yn! Dat nick dn be registered here, get annudder one." },
{ ERR_BANNEDEMAIL,	"Dat Email dn be used on Serenity-IRC, get annudder one." },
{ ERR_CANNOTGHOSTSELF,	"Yo cannot haunt yo'self." },
{ ERR_NOTONLINE,	"\002%s\002 dn be here, yo can't haunt it." },
{ ERR_ACCESSDENIED,	"Dn do dat meenoo!" },
{ RPL_NICKGHOSTED,	"\002%s\002 be gone now. Yo can get it now." },
{ RPL_TOCHANOPS,	"\002(Ops:%s)\002 %s" },
{ RPL_AUTOSET_S,	"Dat bayou be +s ting for de bonne homme. Dat means de channel dn be seen on dat parrish list chse." },
{ RPL_NOOPSFROZEN,	"Dat bayou be frozen an yo dn go shwrimpin dare." },
{ RPL_CHANDESC,		"(\002%s\002): %s" },
{ RPL_NOOPS,		"Yo dn have dat parrish operator ting in dat bayou." },
{ RPL_PING1,		"\001PING %s\001" },
{ RPL_PING2,		"\001PING %s %s\001" },
{ ERR_CHANNOTREGGED,	"\002%s\002 dn be a parrish." },
{ RPL_NEXTDBSYNC,	"Dat database gonna do dat synch ding in annudder %d minutes." },
{ RPL_CHANINFO1,	"[\002%s\002 ChanServ Informashun]" },
{ 76, "\002%s\002 done be registered an activated." }, 
{ 77, "\002%s\002 be yo axes mask. To get mo masks" },
{ 78, "say: /ns addmask" },
{ 79, "De registration time is %s " },
/* 80 - 99 */
{ 80, "\002%s\002 be yo nick password." },
{ 81, "Bienvenue to Serenity-IRC" },
{ 82, "Dat nick be reactivated." },
{ 83, "Dat nick already be activated an dn be activated again." },
{ RPL_NICKDROPPED,	"\002%s\002 dn be registered." },
{ RPL_YOURACCESSIS,	"Axes level be \002%i\002." },
{ RPL_CHANINFO2,	"De Foundah         - %s" },
{ RPL_CHANINFO3,	"Descripshun        - %s" },
{ RPL_CHANINFO4,	"De Topic           - %s (%s)" },
{ RPL_CHANINFO5,	"De Option Tings    - %s%s%s%s%s%s%s" },
{ RPL_CHANINFO6,	"De Settings        - [Topic Level: %i+] [Restrict Level: %i+] [Mode: %s]" },
{ RPL_CHANINFO7,	"Parrish Registered - %s GMT" },
{ RPL_CHANINFO8,	"Parrish Last Used  - %s GMT" },
{ RPL_CHANINFO9,	"Ayarzee Tings      - %s%s%s%s[Ops: %i] [Akicks: %i]" },
{ RPL_CHANINFO10,	"[End ChanServ Informashun]" },
{ RPL_CHANACCESS1,	"%s got %s axes in %s" },
{ RPL_CHANACCESS2,	"Yo got %s axes in %s" },
{ ERR_NOTOPEDINCHAN,	"Shah meenoo! Be inside an get dat op ting in de bayou yo want to register." },
{ ERR_CHANALREADYREG,	"Dat bayou be a registered parrish an dn be registered no mo." },
{ ERR_TOMANYREGCHAN1,	"Shah gator! Serenity-IRC say no mo dan five (5) parrish for yo." },
/* 100 - 119 */
{ ERR_TOMANYREGCHAN2,	"%s done registered five (5) bayous." },
{ RPL_CHANNOWREG,	"\002%s\002 be a parrish an \002%s\002 is de foundah." },
{ RPL_CHANREGNOTE,	"Dat parrish be modelocked \002+tn-k\002 an de topic preservashun be on." },
{ ERR_CHANFROZEN,	"Dn do dat meenoo! Dat bayou be frozen." },
{ ERR_NOOPON,		"%s dn be added to yo parrish, dey done locked their nick." },
{ RPL_CHANTRANS,	"\002%s\002 foundah gone to \002%s\002." },
{ RPL_ACCESSHEADER,	"[\002%s\002 Axes Tings]" },
{ RPL_ACCESSLIST1,	"Mask %i) \002%s\002" },
{ RPL_ACCESSFOOTER,	"[End Axes Tinks]" },
{ ERR_NOREMOTEACC,	"Shah gator! Dn be lukin at de axes tinks for \002%s\002." },
{ RPL_CURRENTACC,	"%s axes level be \002%i\002." },
{ RPL_LISTOPHEADER,	"[Ayarzee Operatahs In De Bayou]" },
{ RPL_LISTOP1,		"(%-2i) %-30s %s%s" },
{ RPL_LISTOPFOOTER,	"[End Ayarzee Operatahs]" },
{ ERR_BADACCMASK,       "Pass! Dat Axes mask be too long!" },
{ ERR_TOOMANYACCMASKS,  "Pass! Mais, yo can't have no mo! Yo got de maximum number o axes masks." },
{ ERR_CHANAXTOOLOW,	"Mais, yo axes be too low for dat chse." },
{ ERR_CHANNOMOREOPS,	"\002%s\002 has de maximum parrish op tinks." },
{ ERR_UNKAXLEVEL, 	"\002%s\002 dn be a good axes chse." },
{ ERR_NOAXCGFOUNDER,	"\002%s\002 be de foundah an dn be bag daer lower in \002%s\002." },
/* 120 - 139 */
{ RPL_CHANAXCHANGE,	"Changed axes for \002%s\002 to \002%s\002" },
{ RPL_CHANOPADDED,	"#%i \002%s\002 done be added as \002%s\002" },
{ ERR_CHANNOMOREAKICK,	"\002%s\002 got de maximum akicks." },
{ ERR_THISEXISTS, 	"\002%s\002 already be dare in de %s tinks." },
{ ERR_INVALIDAKICK,	"%s dn be a good akick chse." },
{ RPL_CHANAKICKADDED,	"\002%s\002 be added to de \002%s\002 akick chse." },
{ ERR_NOTINOPSLIST,	"\002%s\002 dn be in de \002%s\002 parrish ops." },
{ RPL_CHANOPDELED,	"Mais, done took out \002%s\002 parrish ops from \002%s\002." },
{ ERR_AKICKNOTEXIST, 	"\002%s\002 dn be in de akick chse for \002%s\002." },
{ RPL_CHANAKICKDELED,	"Took out dat akick \002%s\002 from \002%s\002" },
{ RPL_CHANOPSLISTHEAD1,	"[\002%s\002 Parrish Ops]" },
{ RPL_CHANOPSLISTHEAD2,	"(Index) Nick                            Level" },
{ RPL_CHANOPSLISTDATA,	"(%-3i) %-30s [%s]" },
{ RPL_LISTSEARCHNUM,	"\002%i\002 done match de \002%i\002 tinks I luk at." },
{ RPL_CHANOPSLISTEND,	"[End Parrish Ops]" },
{ RPL_CHANAKLISTHEAD1,	"[\002%s\002 Akicks]" },
{ RPL_CHANAKLISTHEAD2,	"(Index) (Mask)" },
{ RPL_CHANAKLISTHEAD3,	"(Time [GMT])     (Reason)" },
{ RPL_CHANAKLISTDATA1,	"(%-3i) (%-s)" },
{ RPL_CHANAKLISTDATA2,	"(%s) (%s)" },
/* 140 - 159 */
{ RPL_CHANAKLISTEND,	"[End Akicks]" },
{ RPL_CHANDROP,		"\002%s\002 gone from de ChanServ registrashun." },
{ ERR_NICKNOTINCHAN,	"\002%s\002 dn be in de \002%s\002." },
{ RPL_NOWCHANOPERATOR,	"\002%s\002 parrish op be good." },
{ RPL_NOTCHANOPERATOR,	"\002%s\002 parrish op dn be good." },
{ ERR_NOSUCHCHAN,	"\002%s\002 dn be here." },
{ RPL_NUMUSERSINCHAN,	"\002%d\002 tings be in \002%s\002." },
{ RPL_CHANCLISTDATA,	":%s -> %s%s" },
{ ERR_MISSINGKEY,	"Ma cher, say de key to modelock de parrish +k." },
{ ERR_MISSINGLIMIT,	"Ma cher, say de nummer to modelock de parrish +l." },
{ RPL_MLOCKSETTO,	"\002%s\002 done modelocked to \002%s\002." },
{ RPL_RESTRICTSETTO,	"\002%s\002 done set to \002%i+\002 level parrish ops." },
{ RPL_TOPICLOCKSETTO,	"\002%s\002 topic chse set to \002%i+\002 level parrish ops." },
{ RPL_CHANSETSTATUS,	"\002%s\002 for \002%s\002 done be \002%s\002." },
{ RPL_CHANSETDESC,	"\002%s\002 descripshun: %s" },
{ RPL_CHANSETDESCCLEAR,	"\002%s\002 descripshun cleared." },
{ RPL_REMCHANBANS,	"Mais, removed bans: %s" },
{ RPL_CHANLIST,		"%s (%s) [%i/%i]" },
{ RPL_CHANMASSDEOP,	"Deopped: %s" },
{ RPL_CHANMASSDEVOICE,	"Devoiced: %s" },
/* 160 - 179 */ 
{ RPL_CHANMASSKICK,	"\002%i\002 chse masskicked, \002%s\002 be clear." },
{ RPL_CHANMODECLEAR,	"\002%s\002 modes done be clear." },
{ ERR_BADMASK,		"What you was tinking? \002%s\002 dn be right mask ting."},
{ RPL_AKILLADDED,	"Added %s for \002%s\002 for \002%s\002 [%s]" },
{ ERR_MASKEXISTS,	"De mask \002%s\002 already be in de %s list." },
{ ERR_INVALIDMODES,	"%s dn be a good mode chse." },
{ ERR_NOSUCHSERVER,	"Dare dn be a server \002%s\002." },
{ ERR_ALREADYSVSNOOP,	"\002%s\002 already be in SVSNOOP mode." },
{ ERR_NOTSVNOOP,	"\002%s\002 dn be in SVSNOOP mode." },
{ RPL_EKILLEMPTY,	"De Dynamic EKILL list be empty." },
{ RPL_EKILLHEAD,	"[Dynamic Ekills]" },
{ RPL_EKILLDATA,	"%-25s (set by %s) %s %s" },
{ RPL_EKILLEND,		"[End Dynamic Ekills]" },
{ ERR_NOSUCHEKILL,	"\002%s\002 ekill dn be dare." },
{ RPL_EKILLDELED,	"\002%s\002 ekill done gone." },
{ ERR_EKILLEXISTS,	"\002%s\002 ekill be dare." },
{ RPL_EKILLADDED,	"\002%s\002 ekill done added." },
{ RPL_RESTARTING,	"Starting Again." },
{ RPL_SHUTTINGDOWN,	"Shutting Down." },
{ RPL_PERMCLONEIGNHEAD,	"[Perm Clone Ignores]" },
/* 180 - 199 */ 
{ ERR_ACCMASKNOTADDED,	"\002%s\002 dn be added to de axes list. Dat dn be de right chse or it already be dare." },
{ RPL_ACCMASKADDED,	"\002%s\002 added to de axes list." },
{ RPL_ACCLISTCLEARED,	"Axes list be clear." },
{ RPL_ACCMASKREMOVED,	"\002%s\002 removed from axes list." },
{ ERR_ACCENTRYNOTFOUND, "#%s was not found in de axes list." },
{ ERR_ACCMASKNOTFOUND,  "\002%s\002 dn be in de axes list." },
{ RPL_NLIST1,		"%4i: %s %s" },
{ RPL_NLIST2,		"%4i: %s!%s@%s%s" },
{ RPL_NLIST3,		"%4i: %s!%s@%s" },
{ ERR_PROPERHOST1,	"Say de  hostmask in de form of nick!user@host." },
{ ERR_WIDEHOST,		"Luk at de size o dat gator! Parameters too wide, please narrow dem." },
{ RPL_NLISTHEADER,	"[Start \002%s\002]" },
{ RPL_NLISTFOOTER,	"[End \002%i\002 of \002%i\002 matched \002%s\002]" },
{ ERR_NLISTEMPTY,	"Search dn return no matches." },
{ RPL_NICKRELEASED,	"\002%s\002 done left an be available for yo." },
{ ERR_NICKNOTHELD,	"\002%s\002 dn be held by Services." },
{ ERR_BADFLAG,		"Ain? \002%c\002 is sumting I dn know." },
{ RPL_CHANGEDFLAGS,	"Flags for \002%s\002 done been changed to \002%s%s%s%s\002." },
{ RPL_BANNEDNICK,	"\002%s\002 be banned from further use." },
{ RPL_GETPASS,		"\002%s\002 password was pass to \002%s\002." },
/* 200 - 219 */
/* Ax0n: 200 - 219 */
{ RPL_PERMCLONEIGNDATA,	"%i) %s" },
{ RPL_PERMCLONEIGNEND,	"[End Perm Ignores]" },
{ RPL_UPTIME1,		"Services be here for:" },
{ RPL_UPTIME2,		"%i days, %i hours, %i minutes, and %i seconds." },
{ RPL_ALLOCSTAT1,	"smalloc() info:    Called %i times" },
{ RPL_ALLOCSTAT2,	"sfree() info:      Called %i times" },
{ RPL_CLONESTATUS1,	"%s@%s has %i/%i clones (total/trigger)" },
{ RPL_CLONESTATUS2,	"%s has %i/%i clones (total/trigger)" },
{ ERR_INVALIDTRIGLEVEL,	"Say de proper trigger level." },
{ ERR_NOSUCHTRIGGER,	"No such user@host (%s@%s)." },
{ RPL_NOCLONEFLAGS,	"%s has no cloneflag settings." },
{ RPL_HASCLONEFLAGS,	"%s has flags: %s%s%s" },
{ ERR_PERMIGNEXISTS,	"%s already be on permanent ignore." },
{ ERR_NOSUCHPERMIGN,	"%s dn be on permanent ignore." },
{ ERR_UNKNOWNFLAG,	"What dat? Unknown flag %s." },
{ ERR_UNKNOWHOST,	"What dat? Unknown host %s." },
{ ERR_NOMATCH,		"No matches for %s@%s" },
{ RPL_MAPHEAD,		"[Connected Servers]" },
{ RPL_MAPDATA,		"%s (%s)" },
{ ERR_PROPERHOST2,	"Say de  hostmask in de form of user@host." },
/* 220 - 239 */
{ RPL_GETKEY,		"Activashun key for \002%s\002 be \002%s\002." },
{ RPL_GETREALPASS,	"\002%s\002 password be \002%s\002." },
{ RPL_DELETE,		"\002%s\002 gone from databases." },
{ RPL_SAVE,		"NickServ database synched to disk." },
{ ERR_ALREADYLINKID,	"\002%s\002 already be identified." },
{ ERR_MAXLINKID,	"Serenity-IRC say yo can only identificashun to \002%i\002 nicks." },
{ RPL_NICKWARN1,	"Mais, dat be a registered nick, identify to de NickServ now." },
{ RPL_NICKWARN2,	"Nick will be switched in 30 seconds if yo dn identify." },
{ RPL_NICKWARN3,	"To identify, say \002/ns id <password>\002" },
{ RPL_NICKWARN4,	"Nick will be switched in 15 seconds if yo dn identify." },
{ RPL_NICKWARN5,	"Nick done switched. Get a nick dat dn be registered." },
{ RPL_HELP,		"%s" },
{ RPL_YOUHAVEMEMOS,	"Yo got \002%i\002 new meenoo(s). (\002%i\002 total)" },
{ RPL_MEMO1,		"\002%2i\002. Came at %-30s [%s]" },
{ RPL_MEMO2,		"    \002%s\002: %s" },
{ ERR_NOSUCHMEMO, 	"Meenoo \002%i\002 dn be here." },
{ RPL_MLISTHEADER,	"[\002%s\002 Meenoos]" },
{ RPL_MLIST1,		"\002%2i\002. Came at %-30s from \002%s\002 [%s]" },
{ RPL_MLISTFOOTER,	"[End Meenoos]" },
{ ERR_MLISTEMPTY,	"Yo dn have any meenoos." },
/* 240 - 259 */
{ ERR_MEMOTOOLONG,	"Ain? Dat meenoo be too long, say less dan \002%i\002 chses." },
{ ERR_ISNOMEMO,		"\002%s\002 dn get meenoos." },
{ ERR_MEMOBOXFULL,	"\002%s\002's meenoobox be full. " },
{ ERR_TOOMANYMEMOS,	"Too many meenoos sent. " },
{ RPL_GOTNEWMEMO,	"\002%s\002 sent yo a meenoo. To see: \002/ms read %i\002" },
{ RPL_SENTMEMO,		"Memo sent to \002%s\002" },
{ ERR_ISNOFORWARD,	"\002%s\002 dn accept sent meenoos." },
{ RPL_MEMOFORWARDED,	"\002%i\002 meenoo%s sent to \002%s\002." },
{ ERR_NOFWDTOSELF,	"Coo-yn! Meenoos dn be sent to yoself. " },
{ RPL_DELMEMO,		"Deleted \002%s\002 meenoos." },
{ RPL_DELMEMONR,	"Deleted meenoo \002%i\002." },
{ RPL_MAPEND,		"[End Servers]" },
{ RPL_MMAX,		"\002%s\002 is currently set to \002%i\002 for dis nick." },
{ ERR_MMAXSET,		"Pick a number between\002 1\002 an \002%i\002" },
{ RPL_MMAXNOW,		"\002%s\002 be set to \002%i\002 for dis nick." },
{ RPL_MFORWARD,		"Meenoos be sent to \002%s\002." },
{ RPL_MFORWARDNOW,	"Meenoos done be sent to \002%s\002." },
{ ERR_NOFWDMEMOS,	"\002%s\002 dn accept redirected memos." },
{ RPL_MEMOSRETRIEVED,	"Dem meenoos Emailed to \002%s\002." },
{ ERR_MNEEDLEVEL,	"Say de parrish ops level chse." },
/* 260 - 279 */
{ RPL_SENTMEMOCHAN,	"Meenoos sent to \002%i\002 of \002%i\002 chses." },
{ ERR_JINXEXIST,	"\002%s\002 for \002%s\002 already be dare." },
{ ERR_NOSUCHNICK,	"\002%s\002 dn be on Serenity-IRC." },
{ ERR_CANTJINXSRA,	"Services Rt Administratah dn be jinxed." },
{ ERR_NOSUCHJINX,	"\002%s\002 for \002%s\002 dn be dare." },
{ RPL_JINXLISTEMPTY,	"No \002%s\002 be dare." },
{ RPL_JINXLISTHEADER,   "[\002%s\002]" },
{ RPL_JINXLISTFOOTER,   "[End \002%s\002]" },
{ RPL_JINXLIST1,	"%-25s [set by %s] (%s) %s" },
{ RPL_JINXADDED,	"\002%s\002 be added for \002%s\002." },
{ RPL_JINXREMOVED,	"\002%s\002 done gone for \002%s\002." },
{ ERR_NEEDUSERHOST,	"Say de mask in de form of user@host." },
{ ERR_THISISNONICKDUMMY,"NickServ Enforcer - not a real user." },
{ ERR_NOHELPONTHAT,	"No help be available for \002%s\002. Pass by " NETCHAN " for assistance." },
{ ERR_BADCHANNELNAME,	"\002%s\002 dn be a good bayou name." },
{ RPL_CHANCLOSED,	"\002%s\002 be closed." },
{ ERR_CHANNOTCLOSED,	"\002%s\002 dn be closed." },
{ RPL_CHANUNCLOSED,	"\002%s\002 be opened." },
{ RPL_GLOBALNOTICE,	"Bienvenue to Serenity-IRC - Laissez les bons temps rouler!" },
{ ERR_NOTAVALIDNUMBER,  "\002%s\002 is not a valid number." },
/* 280 - 299 */
{ ERR_INCORRECTUSAGE,   "You used the %s command incorrectly."},
{ RPL_INFOREMARK,       "\002Remark #%i\002 by %s on %s: %s"},
{ RPL_DELREMARK,        "The specified remark for \002%s\002 has been removed."},
{ RPL_ADDREMARK,        "Remark for \002%s\002 added."},
{ -1, "" }
};

#endif
