#ifndef FRENCH__H
#define FRENCH__H

#include "services.h"

struct FormatTable FrenchReplies[] = {
/* 0 - 19 */
{ RPL_CUSTOM,		"This is a custom message" },
{ ERR_NEEDREGNICK,	"Vous avez besoin d'un nick enregistr pour faire cette commande." },
{ ERR_NEEDACTNICK,	"Vous avez besoin d'un nick activ pour faire cette commande." },
{ ERR_NEEDSRA,		"Vous devez etre Service Root Administrator pour faire cette commande." },
{ ERR_NEEDSERVOP,	"Vous devez etre Service Operator pour faire cette commande." },
{ ERR_NEEDOPER,		"Vous devez etre IRC Oprateur pour faire cette commande." },
{ ERR_UNKNOWNCOMMAND,	"Dsol, mais la commande \002%s\002 est inconnue." },
{ RPL_MOREHELP,		" \002/msg %s HELP\002 pour plus d'informations sur ce service." },
{ RPL_DEBUGHEADER,	"-=- [%s Debug Information] -=-" },
{ RPL_DEBUGFOOTER,	"-=- [Fin de Debug Information] -=-" },
{ RPL_DEBUGLINE1,	"%-15s %-15s %-15s %-15s" },
{ RPL_DEBUGLINE2,	"\002%-15s\002 %-15d %-15d %-15d" },
{ ERR_BADPARAMS,	"Il vous manque quelques paramtres pour cette commande." },
{ RPL_PASSOKAY,		"Votre mot de passe a t accept \002%s\002." },
{ RPL_YOUAREROOT,	"Vous tes maintenant \002Services Root Administrator.\002" },
{ RPL_YOUARESERVOP,	"Vous tes maintenant \002Services Operator.\002" },
{ RPL_NOCHANGEPASS,	"Il est recommand de changer de mot de passe de temps en temps." },
{ RPL_MOREHELPCMD,	"Vous pouvez essayer \002/msg %s HELP %s\002 pour plus d'informations sur cette commande." },
{ RPL_PASSNOTOKAY,	"Le mot de passe \002N'EST PAS\002 est refus pour le nick \002%s\002." },
{ RPL_EMAILHACK1,	"\002Attention!\002 Vous avez entr le mot de passe incorrectement trop de fois!" },
/* 20 - 39 */
{ RPL_EMAILHACK2,	"Un email a t envoy au propritaire du nick." },
{ RPL_EMAILHACK3,	"\002Ne tentez plus de vous identifier\002 avant de recevoir l'email." },
{ RPL_EMAILHACK4,	"Si vous ne recevez pas un email, veuillez joindre #Serenity-IRC pour de l'assistance." },
{ RPL_EMAILHACK5,	"Ne tapez plus le mot de passe mauvais, ou vous vous trouverez \002enlev du rseau par force.\002" },
{ RPL_EMAILHACK6,	"Vous serez enlev du rseau pour piratage de nick. Vous avez dj t averti!" },
{ ERR_NICKNOTREGGED,	"Le nick \002%s\002 n'est pas enregistr  NickServ." },
{ RPL_INFOHEADER,	"-=[ NickServ Information pour \002%s\002 ]=-" },
{ RPL_INFOFOOTER,	"-=[ Fin de NickServ Information ]=-" },
{ RPL_INFOBANISHED,	"Ce nick a t \002BANNI\002 en permanence par l'administration de Serenity-IRC." },
{ RPL_INFONOWON,	"(En ce moment sur IRC) Pour plus d'informations: /whois %s" },
{ RPL_INFODEREG,	"Ce nick a t \002ANNUL\002 par l'administration de Serenity-IRC." },
{ RPL_INFOLASTSEEN1,	"Dernire adresse vue - %s@%s [%s]" },
{ RPL_INFOLASTSEEN2,	"Dernire fois vue      - %s" },
{ RPL_INFOREGGEDON,	"Enregistr le     - %s" },
{ RPL_INFOEMAIL,	"Adresse email     - %s" },
{ RPL_INFOACCESS,	"Accs aux services   - %s" },
{ RPL_INFOOPTIONS,	"Changer d'Options   - %s" },
{ RPL_INFOMEMO,		"Settings de Memo    - %s" },
{ RPL_INFOLINKID,	"Remote ID's       - %s" },
{ RPL_INFOCURRENTACC,	"Accs Courant   - %s" },
/* 40 - 59 */
{ RPL_INFODATA,		"Information IRCop        - [channels: %i] [memos: %i] [masks: %i] [floodlevel: %i]" },
{ RPL_INFOSTATUS,	"Statut courant    - %s" },
{ RPL_INFOREGBY,	"Enregistr par     - %s@%s" },
{ RPL_INFOTIMENOW,	"Heure          - %s" },
{ ERR_NEEDID,		"Dsol, mais vous devez tre identifi pour faire cette commande." },
{ RPL_NSETIS,		"\002%s\002 est maintenant \002%s\002 pour ce surnom." },
{ RPL_NSETNOW,		"\002%s\002 est maintenant \002%s\002 pour ce surnom." },
{ ERR_BADSETTING,	"Dsol, mais \002%s\002 est inconnue pour moi." },
{ ERR_BADPASSWORD,	"Dsol, mais ce n'est pas un bon mot de passe, choississez-en un autre." },
{ RPL_PASSWORDNOW,	"Le mot de passe de votre nick est maintenant\002%s\002." },
{ ERR_VALIDEMAIL,	"Prcisez un email valable sous la forme utilisateur@hte." },
{ ERR_NICKLIMIT,	"Dsol, vous avez dpass votre limite pour enregistrer un surnom. Vous ne pouvez en enregistrer d'autre." },
{ ERR_NOWEBMAIL,	"Dsol, mais Serenity-IRC exige que vous utilisiez l'addresse e-mail fournie par votre FAI/ISP pour enregistrer un nick." },
{ RPL_TEMPDEAC1,	"Votre nick a t dsactiv pour vrifier le nouvel email." },
{ RPL_TEMPDEAC2,	"Pour ractiver votre nick, suivez les conseils du message e-mail." },
{ RPL_TEMPDEAC3,	"Toutes vos configurations ont t sauve." },
{ RPL_TEMPDEAC4,	"La nouvelle cl d'activation a t envoy  \002%s\002." },
{ ERR_NOMAILSENT,	"Dsol, nous ne pouvons pas envoyer d'email  cette addresse." },
{ ERR_ALREADYREG,	"Ce nick  est dj enregistr et ne peut pas tre enregistr  nouveau." },
{ ERR_NEEDTOACT,	"Ce nick est dja enregistr, mais doit tre activ." },
/* 60 - 79 */
{ ERR_CANNOTREGTHIS,	"Ce nick ne peut pas tre enregistr, il faut en choisir un autre." },
{ ERR_BANNEDEMAIL,	"Cette addresse email est \002BANNIE\002 sur Serenity-IRC. Il faut en choisir une autre." },
{ ERR_CANNOTGHOSTSELF,	"Dsol, il n'est pas permis de se tuer soi-mme." },
{ ERR_NOTONLINE,	"Le nick \002%s\002 n'est pas en utilisation et donc ne peut pas tre tu." },
{ ERR_ACCESSDENIED,	"Dsol, accs refus pour cette opration." },
{ RPL_NICKGHOSTED,	"Le nick \002%s\002 est dgag, il est maintenant disponible." },
{ RPL_TOCHANOPS,	"\002(Ops:%s)\002 %s" },
{ RPL_AUTOSET_S,	"Ce canal est automatiquement mis sur +s pour la protection des enfants. Cela n'aura d'autre effet sur le canal que de le rendre invisible sur les listes." },
{ RPL_NOOPSFROZEN,	"Dsol, vous n'avez pas le status d'oprateur, le canal est \002FROZEN\002." },
{ RPL_CHANDESC,		"(\002%s\002): %s" },
{ RPL_NOOPS,		"Dsol, vous n'avez pas le statut d'oprateur sur ce canal." },
{ RPL_PING1,		"\001PING %s\001" },
{ RPL_PING2,		"\001PING %s %s\001" },
{ ERR_CHANNOTREGGED,	"Le canal \002%s\002 n'est pas enregistr avec ChanServ." },
{ RPL_NEXTDBSYNC,	"Prochain base de donnes synch(sauvegarde) dans %d minutes." },
{ RPL_CHANINFO1,	"-=[ ChanServ Information pour \002%s\002 ]=-" },
{ 76, "Votre surnom \002%s\002 est maintenant enregistr et activ!" }, 
{ 77, "Votre premier access-mask est \002%s\002. Si vous voulez plus de access-mask," },
{ 78, "Utilisez: /ns \002ADDMASK\002" },
{ 79, "L'heure de votre enregistrement est %s " },
/* 80 - 99 */
{ 80, "Le mot de passe de votre nick est \002%s\002. Notez-le bien, pour ne pas le perdre." },
{ 81, "Bienvenue sur le rseau IRC Serenity-IRC, amusez-vous bien!" },
{ 82, "Votre surnom a t ractiv" },
{ 83, "Ce surnom est dj activ, vous ne pouvez pas le ractiver  nouveau." },
{ RPL_NICKDROPPED,	"Votre surnom \002%s\002 n'est pas enregistr." },
{ RPL_YOURACCESSIS,	"Votre niveau d'accs est \002%i\002." },
{ RPL_CHANINFO2,	"Fondateur          - %s" },
{ RPL_CHANINFO3,	"Description        - %s" },
{ RPL_CHANINFO4,	"Sujet              - %s (%s)" },
{ RPL_CHANINFO5,	"Options            - %s%s%s%s%s%s%s" },
{ RPL_CHANINFO6,	"Settings           - [Topic Level: %i+] [Restrict Level: %i+] [Mode: %s]" },
{ RPL_CHANINFO7,	"Enregistrement du canal - %s GMT" },
{ RPL_CHANINFO8,	"Dernire utilisation du canal - %s GMT" },
{ RPL_CHANINFO9,	"IRCop information  - %s%s%s%s[Ops: %i] [Akicks: %i]" },
{ RPL_CHANINFO10,	"-=[ Fin de ChanServ Information ]=-" },
{ RPL_CHANACCESS1,	"%s a %s d'accs sur %s" },
{ RPL_CHANACCESS2,	"Vous avez %s d'accs sur %s" },
{ ERR_NOTOPEDINCHAN,	"Il faut tre dans le canal et avoir le statut d'oprateur pour enregistrer ce canal." },
{ ERR_CHANALREADYREG,	"Ce canal est dj enregistr, vous ne pouvez l'enregistrer de nouveau." },
{ ERR_TOMANYREGCHAN1,	"Vous avez enregistr trop de canaux." },
/* 100 - 119 */
{ ERR_TOMANYREGCHAN2,	"%s a dj enregistr trop de canaux." },
{ RPL_CHANNOWREG,	"Le canal \002%s\002 est maintenant enregistr sous votre nick \002%s\002 avec l'accs FONDATEUR(15)." },
{ RPL_CHANREGNOTE,	"Votre canal est modelocked \002+tn-k\002 et votre topic est prserv  \002ON\002." },
{ ERR_CHANFROZEN,	"Accs refus, ce canal est \002FROZEN\002." },
{ ERR_NOOPON,		"%s ne peut pas tre ajout a la liste des oprateurs du canal, vous devez lui demander d'annuler le mode NOOP." },
{ RPL_CHANTRANS,	"L'accs fondateur de \002%s\002 a t transfr  \002%s\002." },
{ RPL_ACCESSHEADER,	"-=[ Liste-d'Access pour \002%s\002 ]=-" },
{ RPL_ACCESSLIST1,	"Mask %i) \002%s\002" },
{ RPL_ACCESSFOOTER,	"-=[ Fin de Access-list ]=-" },
{ ERR_NOREMOTEACC,	"Dsol, vous ne pouvez obtenir la liste des accs masks pour \002%s\002." },
{ RPL_CURRENTACC,	"Niveau d'accs pour %s est \002%i\002." },
{ RPL_LISTOPHEADER,	"-=[ liste des IRC Oprateurs en ligne ]=-" },
{ RPL_LISTOP1,		"(%-2i) %-30s %s%s" },
{ RPL_LISTOPFOOTER,	"-=[ Fin de la liste des IRC Oprateurs ]=-" },
{ ERR_BADACCMASK,       "Dsol, le mask est trop long." },
{ ERR_TOOMANYACCMASKS,  "Vous avez dpass votre limite de l'accs mask, enlevez-en avant d'en remettre." },
{ ERR_CHANAXTOOLOW,	"Votre niveau d'accs ne suffit pas pour faire cette commande." },
{ ERR_CHANNOMOREOPS,	"Dsol, \002%s\002 vous avez dpass votre limite d'oprateur, vous ne pouvez en rajouter." },
{ ERR_UNKAXLEVEL, 	"Le niveau que vous avez prcis \002%s\002 n'est pas un niveau valide." },
{ ERR_NOAXCGFOUNDER,	"Dsol, \002%s\002 est le fondateur, et ne peut etre ajust \002%s\002." },
/* 120 - 139 */
{ RPL_CHANAXCHANGE,	"Accs chang de \002%s\002  \002%s\002" },
{ RPL_CHANOPADDED,	"Addition de ops #%i \002%s\002  \002%s\002" },
{ ERR_CHANNOMOREAKICK,	"Dsol, \002%s\002 a atteint sa limite de akick, vous ne pouvez en ajouter d'autre." },
{ ERR_THISEXISTS, 	"Dsol, \002%s\002 existe dj sur la liste des accs de %s." },
{ ERR_INVALIDAKICK,	"Dsol, %s n'est pas un akick valable.." },
{ RPL_CHANAKICKADDED,	"Addition d'akick de \002%s\002 to \002%s\002" },
{ ERR_NOTINOPSLIST,	"Dsol, \002%s\002 n'existe pas sur la liste des ops de \002%s\002." },
{ RPL_CHANOPDELED,	"Supression du ops \002%s\002 sur \002%s\002." },
{ ERR_AKICKNOTEXIST, 	"Dsol, \002%s\002 n'existe pas sur la liste des akicks de \002%s\002." },
{ RPL_CHANAKICKDELED,	"Supression d'un akicks \002%s\002 de \002%s\002" },
{ RPL_CHANOPSLISTHEAD1,	"-=[ liste des ops de \002%s\002 ]=-" },
{ RPL_CHANOPSLISTHEAD2,	"(Index) Nick                            Level" },
{ RPL_CHANOPSLISTDATA,	"(%-3i) %-30s [%s]" },
{ RPL_LISTSEARCHNUM,	"\002%i\002 jumelage de \002%i\002 lment recherch." },
{ RPL_CHANOPSLISTEND,	"-=[ Fin de la liste des ops ]=-" },
{ RPL_CHANAKLISTHEAD1,	"-=[ Liste des akicks de \002%s\002 ]=-" },
{ RPL_CHANAKLISTHEAD2,	"(Index) (Mask)" },
{ RPL_CHANAKLISTHEAD3,	"(Time [GMT])     (Reason)" },
{ RPL_CHANAKLISTDATA1,	"(%-3i) (%-s)" },
{ RPL_CHANAKLISTDATA2,	"(%s) (%s)" },
/* 140 - 159 */
{ RPL_CHANAKLISTEND,	"-=[ Fin de la liste des akicks ]=-" },
{ RPL_CHANDROP,		"L'enregistrement du canal \002%s\002 a t suprim." },
{ ERR_NICKNOTINCHAN,	"Dsol, \002%s\002 n'est pas dans \002%s\002." },
{ RPL_NOWCHANOPERATOR,	"Vous tes maintenant IRC Oprateur dans \002%s\002." },
{ RPL_NOTCHANOPERATOR,	"Vous n'avez pas le statut d'oprateur sur \002%s\002." },
{ ERR_NOSUCHCHAN,	"Dsol, \002%s\002 n'existe pas." },
{ RPL_NUMUSERSINCHAN,	"\002%d\002 utilisateurs dans \002%s\002." },
{ RPL_CHANCLISTDATA,	":%s -> %s%s" },
{ ERR_MISSINGKEY,	"Vous devez prciser le mot de passe pour mettre le modelock +k." },
{ ERR_MISSINGLIMIT,	"Vous devez prciser la limite d'usagers pour mettre le modelock +l." },
{ RPL_MLOCKSETTO,	"Mode pour \002%s\002 est maintenant barr  \002%s\002." },
{ RPL_RESTRICTSETTO,	"\002%s\002 est maintenant restreint  \002%i+\002 niveau d'accs." },
{ RPL_TOPICLOCKSETTO,	"La restreinte du topic sur \002%s\002 est maintenant  \002%i+\002 niveau d'accs." },
{ RPL_CHANSETSTATUS,	"\002%s\002 pour \002%s\002 est \002%s\002." },
{ RPL_CHANSETDESC,	"La description de \002%s\002 est: %s" },
{ RPL_CHANSETDESCCLEAR,	"La description pour \002%s\002 est dgage." },
{ RPL_REMCHANBANS,	"Supression du ban: %s" },
{ RPL_CHANLIST,		"%s (%s) [%i/%i]" },
{ RPL_CHANMASSDEOP,	"DeOp'ed: %s" },
{ RPL_CHANMASSDEVOICE,	"DeVoiced: %s" },
/* 160 - 179 */ 
{ RPL_CHANMASSKICK,	"Masskick complt, \002%i\002 kicks, \002%s\002 dgags." },
{ RPL_CHANMODECLEAR,	"Modeclear pour \002%s\002 russi." },
{ ERR_BADMASK,		"Dsol, \002%s\002 n'est pas un format valable pour le mask."},
{ RPL_AKILLADDED,	"Addition %s pour \002%s\002 pour \002%s\002 [%s]" },
{ ERR_MASKEXISTS,	"Le mask \002%s\002 est dj dans la liste %s." },
{ ERR_INVALIDMODES,	"Dsol, %s n'est pas un mode valable." },
{ ERR_NOSUCHSERVER,	"Dsol, serveur \002%s\002 est introuvable." },
{ ERR_ALREADYSVSNOOP,	"Dsol, \002%s\002 est dj en SVSNOOP mode." },
{ ERR_NOTSVNOOP,	"Dsol, \002%s\002 n'est pas en SVSNOOP mode." },
{ RPL_EKILLEMPTY,	"La liste des EKill est vide." },
{ RPL_EKILLHEAD,	"-=[ Liste des Ekill ]=-" },
{ RPL_EKILLDATA,	"%-25s (set by %s) %s %s" },
{ RPL_EKILLEND,		"-=[ Fin de la liste des Ekills ]=-" },
{ ERR_NOSUCHEKILL,	"Dsol, ce Ekill est introuvable: \002%s\002." },
{ RPL_EKILLDELED,	"Supression du Ekill \002%s\002" },
{ ERR_EKILLEXISTS,	"EKILL existe dj: \002%s\002" },
{ RPL_EKILLADDED,	"Addition du Ekill \002%s\002." },
{ RPL_RESTARTING,	"Redmarrage." },
{ RPL_SHUTTINGDOWN,	"Fermeture." },
{ RPL_PERMCLONEIGNHEAD,	"-=[ ignore list permanent ]=-" },
/* 180 - 199 */ 
{ ERR_ACCMASKNOTADDED,	"Dsol - mais le mask \002%s\002 n'a pas t ajout, il n'est pas de format valable ou bien il est dja prsent." },
{ RPL_ACCMASKADDED,	"Le mask \002%s\002 a t additionn a votre liste d'accs." },
{ RPL_ACCLISTCLEARED,	"Votre liste d'accs a t dgag." },
{ RPL_ACCMASKREMOVED,	"Le mask \002%s\002 a t suprim de votre liste d'accs." },
{ ERR_ACCENTRYNOTFOUND, "Dsol, l'entre #%s n'est pas trouvable sur votre liste d'accs." },
{ ERR_ACCMASKNOTFOUND,  "Dsol, le mask \002%s\002 n'est pas trouvable sur votre liste d'accs." },
{ RPL_NLIST1,		"%4i: %s %s" },
{ RPL_NLIST2,		"%4i: %s!%s@%s%s" },
{ RPL_NLIST3,		"%4i: %s!%s@%s" },
{ ERR_PROPERHOST1,	"Dsol, vous devez entrer le utilisateur@hte de ce format - nick!utilisatuer@hte." },
{ ERR_WIDEHOST,		"Paramtres trop larges, il faut les reserrer." },
{ RPL_NLISTHEADER,	"-=[ Dbut de la liste (\002%s\002) ]=-" },
{ RPL_NLISTFOOTER,	"-=[ Fin de la liste \002%i\002 dehors de \002%i\002 jumelage par condition \002%s\002) ]=-" },
{ ERR_NLISTEMPTY,	"Dsol, mais aucune de vos recherches a t trouve." },
{ RPL_NICKRELEASED,	"Le nick \002%s\002 est  nouveau prt  tre utilis." },
{ ERR_NICKNOTHELD,	"Dsol, le nick %s n'est pas retenu par les services." },
{ ERR_BADFLAG,		"Dsol, mais \002%c\002 est un flag inconnu." },
{ RPL_CHANGEDFLAGS,	"Les flags de \002%s\002 changs  \002%s%s%s%s\002." },
{ RPL_BANNEDNICK,	"Vous avez banni le nick \002%s\002 et il n'est plus valable." },
{ RPL_GETPASS,		"Le mot de passe du nick \002%s\002 a t envoy par courrier lectronique \002%s\002." },
/* 200 - 219 */
/* Ax0n: 200 - 219 */
{ RPL_PERMCLONEIGNDATA,	"%i) %s" },
{ RPL_PERMCLONEIGNEND,	"-=[ Fin de la l'ignore liste permanente ]=-" },
{ RPL_UPTIME1,		"Services ont t en ligne:" },
{ RPL_UPTIME2,		"%i jours, %i heures, %i minutes, et %i secondes." },
{ RPL_ALLOCSTAT1,	"smalloc() info:    Appel %i fois" },
{ RPL_ALLOCSTAT2,	"sfree() info:      Appel %i fois" },
{ RPL_CLONESTATUS1,	"%s@%s a %i/%i clones (total/dclic)" },
{ RPL_CLONESTATUS2,	"%s a %i/%i clones (total/dclic)" },
{ ERR_INVALIDTRIGLEVEL,	"Il faut prciser les niveaux de dclic" },
{ ERR_NOSUCHTRIGGER,	"Utilisateur@hte est introuvable (%s@%s)." },
{ RPL_NOCLONEFLAGS,	"%s n'a pas de marque de privilge clone enregistr." },
{ RPL_HASCLONEFLAGS,	"%s a les marques de privilge: %s%s%s" },
{ ERR_PERMIGNEXISTS,	"%s  est dja sur la liste 'ignore' permanente." },
{ ERR_NOSUCHPERMIGN,	"%s n'est pas sur la liste 'ignore' permanente." },
{ ERR_UNKNOWNFLAG,	"Marque de privilge inconnu %s." },
{ ERR_UNKNOWHOST,	"Hte inconnu %s." },
{ ERR_NOMATCH,		"Pas de jumelage pour %s@%s" },
{ RPL_MAPHEAD,		"-=[ liste des serveurs connects ]=-" },
{ RPL_MAPDATA,		"%s (%s)" },
{ ERR_PROPERHOST2,	"Dsol, il faut composer l'addresse dans ce format - utilisateur@hte." },
/* 220 - 239 */
{ RPL_GETKEY,		"La cl d'activation pour le nick \002%s\002 est \002%s\002." },
{ RPL_GETREALPASS,	"Le mot de passe pour le nick \002%s\002 est \002%s\002." },
{ RPL_DELETE,		"Le nick \002%s\002 a t suprim des bases de donnes." },
{ RPL_SAVE,		"La base de donnes de NickServ a t synchronis sur le disque." },
{ ERR_ALREADYLINKID,	"Votre authenticit a dj t tablie sur le surnom \002%s\002." },
{ ERR_MAXLINKID,	"Vous ne pouvez pas vous identifier plus de \002%i\002 fois par nick." },
{ RPL_NICKWARN1,	"Ce nick est enregistr, s'il est le votre, identifiez-vous  NickServ." },
{ RPL_NICKWARN2,	"Si vous ne vous identifiez pas, le nick sera chang dans 30 secondes." },
{ RPL_NICKWARN3,	"Pour vous identifier utilisez la commande \002IDENTIFY\002: \002/ns IDENTIFY <Votre mot de passe>\002" },
{ RPL_NICKWARN4,	"Il vous reste 15 secondes pour vous identifier avant le changement de votre nick." },
{ RPL_NICKWARN5,	"Votre surnom a t chang, veuillez le changer pour un autre nick non-enregistr." },
{ RPL_HELP,		"%s" },
{ RPL_YOUHAVEMEMOS,	"Vous avez \002%i\002 nouveau memo(s) en attente. (\002%i\002 total)" },
{ RPL_MEMO1,		"\002%2i\002. Reu  %-30s [%s]" },
{ RPL_MEMO2,		"    \002%s\002: %s" },
{ ERR_NOSUCHMEMO, 	"Dsol, mais il n'a pas de memo \002%i\002." },
{ RPL_MLISTHEADER,	"-=[ Liste des memos pour \002%s\002 ]=-" },
{ RPL_MLIST1,		"\002%2i\002. Reu  %-30s de \002%s\002 [%s]" },
{ RPL_MLISTFOOTER,	"-=[ Fin de la liste des memos ]=-" },
{ ERR_MLISTEMPTY,	"Dsol votre liste des memos est vide.." },
/* 240 - 259 */
{ ERR_MEMOTOOLONG,	"Dsol, votre memo est trop long.  Veuillez prendre moins de \002%i\002 charactres." },
{ ERR_ISNOMEMO,		"Dsol, mais \002%s\002 vous empeche d'envoyer un memo a cette personne." },
{ ERR_MEMOBOXFULL,	"Dsol, mais la boite de memo de \002%s\002 est vide. " },
{ ERR_TOOMANYMEMOS,	"Dsol, vous avez envoy trop de memos. " },
{ RPL_GOTNEWMEMO,	"\002%s\002 vient juste de vous envoyer un memo; pour le lire, tapez : \002/msg MemoServ READ %i\002" },
{ RPL_SENTMEMO,		"Votre memo a t envoy  \002%s\002." },
{ ERR_ISNOFORWARD,	"Dsol, mais \002%s\002 n'accepte pas les memos." },
{ RPL_MEMOFORWARDED,	"Vous avez russi  faire suivre \002%i\002 memo%s  \002%s\002", },
{ ERR_NOFWDTOSELF,	"Veuillez prciser un autre nick auquel envoyer le memo." },
{ RPL_DELMEMO,		"Vous avez suprim \002%s\002 memos." },
{ RPL_DELMEMONR,	"Vous avez suprim le memo \002%i\002." },
{ RPL_MAPEND,		"-=[ Fin de la liste des serveurs ]=-" },
{ RPL_MMAX,		"\002%s\002 est actuellement mis  \002%i\002 pour ce nick." },
{ ERR_MMAXSET,		"Dsol, mais il faut choisir un nombre entre \002 1\002 et \002%i\002" },
{ RPL_MMAXNOW,		"\002%s\002 est maintenant mis  \002%i\002 pour ce nick." },
{ RPL_MFORWARD,		"Vos memos ont t retourns  \002%s\002." },
{ RPL_MFORWARDNOW,	"Vos memos ont t retourns  \002%s\002." },
{ ERR_NOFWDMEMOS,	"Dsol, mais \002%s\002 n'accepte pas les renvois de memos." },
{ RPL_MEMOSRETRIEVED,	"Tous vos memos ont t envoys  \002%s\002." },
{ ERR_MNEEDLEVEL,	"Dsol, mais il faut prciser un niveau d'accs pour ce canal." },
/* 260 - 279 */
{ RPL_SENTMEMOCHAN,	"Votre memo a t envoy  \002%i\002 de \002%i\002." },
{ ERR_JINXEXIST,	"Dsol, mais \002%s\002 pour \002%s\002 existe dj." },
{ ERR_NOSUCHNICK,	"Dsol, mais \002%s\002 n'est pas en ligne." },
{ ERR_CANTJINXSRA,	"Dsol, vous ne pouvez pas ajouter un JINX  un Services Root Administrator." },
{ ERR_NOSUCHJINX,	"Dsol, il n'y a pas de \002%s\002 pour \002%s\002." },
{ RPL_JINXLISTEMPTY,	"Dsol, mais il n'a pas de JINX \002%s\002 en ce moment." },
{ RPL_JINXLISTHEADER,   "-=[ Listes de tout \002%s\002 ]=-" },
{ RPL_JINXLISTFOOTER,   "-=[ Fin de \002%s\002 liste ]=-" },
{ RPL_JINXLIST1,	"%-25s [mis par %s] (%s) %s" },
{ RPL_JINXADDED,	"Vous avez ajout un \002%s\002 pour le nick \002%s\002." },
{ RPL_JINXREMOVED,	"Vous avez supprim un \002%s\002 pour le nick \002%s\002." },
{ ERR_NEEDUSERHOST,	"Dsol, mais il faut fournir un utilisateur@hte sous cette forme." },
{ ERR_THISISNONICKDUMMY,"Ceci est un \002nick enforcer\002, pas un vritable utilisateur." },
{ ERR_NOHELPONTHAT,	"Dsol, mais \002%s\002 n'est pas disponible. Veuillez joindre le canal #cservice pour de l'assistance." },
{ ERR_BADCHANNELNAME,	"Dsol, \002%s\002 n'est pas un nom de canal valable." },
{ RPL_CHANCLOSED,	"Le canal \002%s\002 a t \002FERM\002." },
{ ERR_CHANNOTCLOSED,	"Le canal \002%s\002 n'a pas t \002FERM\002." },
{ RPL_CHANUNCLOSED,	"Le canal \002%s\002 a t \002ROUVERT\002." },
{ RPL_GLOBALNOTICE,	"\002Bienvenue sur Serenity-IRC!\002" },
{ ERR_NOTAVALIDNUMBER,  "\002%s\002 is not a valid number." },
/* 280 - 299 */
{ ERR_INCORRECTUSAGE,   "You used the %s command incorrectly."},
{ RPL_INFOREMARK,       "\002Remark #%i\002 by %s on %s: %s"},
{ RPL_DELREMARK,        "The specified remark for \002%s\002 has been removed."},
{ RPL_ADDREMARK,        "Remark for \002%s\002 added."},
{ -1, "" }
};

#endif
