/*
 * Serenity-IRC Services Language Format Tables: English Language.
 */

#ifndef GERMAN__H
#define GERMAN__H

#include "services.h"

struct FormatTable GermanReplies[] = {
/* 0 - 19 */
{ RPL_CUSTOM,		"Dies ist eine generische Nachricht" },
{ ERR_NEEDREGNICK,	"Fr dieses Befehl mssen Sie Ihren Nicknamen registrieren." },
{ ERR_NEEDACTNICK,	"Fr dieses Befehl mssen Sie Ihren Nicknamen aktivieren." },
{ ERR_NEEDSRA,		"Fr dieses Befehl brauchen Sie Services Root Administrator Zugriff." },
{ ERR_NEEDSERVOP,	"Fr dieses Befehl brauchen Sie Services Operator Zugriff." },
{ ERR_NEEDOPER,		"Fr dieses Befehl brauchen Sie IRC Operator Zugriff." },
{ ERR_UNKNOWNCOMMAND,	"\002%s\002 ist ein unbekanntes Befehl." },
{ RPL_MOREHELP,		"Bitte geben Sie \002/msg %s HELP\002 ein, um mehr Hilfe ber diesen Service zu bekommen." },
{ RPL_DEBUGHEADER,	"-=- [%s Debug Information] -=-" },
{ RPL_DEBUGFOOTER,	"-=- [Ende der Debug Information] -=-" },
{ RPL_DEBUGLINE1,	"%-15s %-15s %-15s %-15s" },
{ RPL_DEBUGLINE2,	"\002%-15s\002 %-15d %-15d %-15d" },
{ ERR_BADPARAMS,	"Sie haben zu wenige Argumente fr dieses Befehl angegeben." },
{ RPL_PASSOKAY,		"Ihr Kennwort fr Nickname \002%s\002 wurde akzeptiert." },
{ RPL_YOUAREROOT,	"Sie sind jetzt ein \002Services Root Administrator.\002" },
{ RPL_YOUARESERVOP,	"Sie sind jetzt ein \002Services Operator.\002" },
{ RPL_NOCHANGEPASS,	"Sie haben das Kennwort fr Ihren Nicknamen kurzlich nicht gendert." },
{ RPL_MOREHELPCMD,	"Bitte geben Sie \002/msg %s HELP %s\002 ein, um mehr Hilfe zu diesem Befehl zu erhalten." },
{ RPL_PASSNOTOKAY,	"Das angegebene Kennwort fr den Nicknamen \002%s\002 stimmt \002NICHT\002." },
{ RPL_EMAILHACK1,	"\002Warnung!\002 Sie haben zu oft ein falsches Kennwort angegeben!" },
/* 20 - 39 */
{ RPL_EMAILHACK2,	"Eine E-Mail wurde an den Eigentmer dieses Nicknames geschickt." },
{ RPL_EMAILHACK3,	"Bitte \002beenden Sie weitere Versuche, sich zu identifizieren\002 bis sie die E-Mail erhalten haben." },
{ RPL_EMAILHACK4,	"Falls Sie diese E-Mail nicht erhalten, bitten sie auf Kanal " NETCHAN " um Hilfe." },
{ RPL_EMAILHACK5,	"Jeder weitere Versuch der Identifizierung wird zu Ihrer \002gewaltsamen Entfernung aus dem Netz\002 fhren." },
{ RPL_EMAILHACK6,	"Sie werden jetzt aufgrund von Nickname Hacking aus dem Netz entfernt. Sie wurden gewarnt!" },
{ ERR_NICKNOTREGGED,	"Der Nickname \002%s\002 ist bei NickServ nicht registriert." },
{ RPL_INFOHEADER,	"-=[ NickServ Informationen fr \002%s\002 ]=-" },
{ RPL_INFOFOOTER,	"-=[ Ende der NickServ Informationen ]=-" },
{ RPL_INFOBANISHED,	"Dieser Nickname wurde durch die Serenity-IRC Administration permanent \002VERBANNT\002." },
{ RPL_INFONOWON,	"(Im Moment im IRC) Fr mehr Informationen: /whois %s" },
{ RPL_INFODEREG,	"Dieser Nickname wurde durch die Serenity-IRC Administration \002DEREGISTRIERT\002." },
{ RPL_INFOLASTSEEN1,	"Zuletzt gesehene Adresse - %s@%s [%s]" },
{ RPL_INFOLASTSEEN2,	"Zuletzt gesehen am	  - %s" },
{ RPL_INFOREGGEDON,	"Registriert am		  - %s" },
{ RPL_INFOEMAIL,	"E-Mail Adresse		  - %s" },
{ RPL_INFOACCESS,	"Services Zugriff	  - %s" },
{ RPL_INFOOPTIONS,	"Gesetzte Optionen	  - %s" },
{ RPL_INFOMEMO,		"Memo Einstellungen	  - %s" },
{ RPL_INFOLINKID,	"Entfernte IDs		  - %s" },
{ RPL_INFOCURRENTACC,	"Zugriff im Moment	  - %s" },
/* 40 - 59 */
{ RPL_INFODATA,		"IRCop Daten		  - [Kanle: %i] [Memos: %i] [Masken: %i] [Floodlevel: %i]" },
{ RPL_INFOSTATUS,	"Momentaner Status	  - %s" },
{ RPL_INFOREGBY,	"Registriert unter	  - %s@%s" },
{ RPL_INFOTIMENOW,	"Aktuelle Zeit		  - %s" },
{ ERR_NEEDID,		"Sie knnen dieses Befehl erst benutzen, wenn sich sich fr diesen Nicknamen identifiziert haben." },
{ RPL_NSETIS,		"\002%s\002 steht im Moment fr diesen Nicknamen auf \002%s\002." },
{ RPL_NSETNOW,		"\002%s\002 wurde jetzt fr diesen Nicknamen auf \002%s\002 gesetzt." },
{ ERR_BADSETTING,	"\002%s\002 ist leider eine unbekannte Einstellung." },
{ ERR_BADPASSWORD,	"Sie haben leider kein gutes Kennwort gewhlt. Bitte versuchen Sie ein anderes." },
{ RPL_PASSWORDNOW,	"Ihr Nickname Kennwort wurde auf \002%s\002 gesetzt." },
{ ERR_VALIDEMAIL,	"Bitte geben Sie eine gltige E-Mail Adresse in der Form user@host an." },
{ ERR_NICKLIMIT,	"Sie haben das Registrierungslimit fr Nicknamen erreicht. Sie drfen keine weiteren Nicknamen registrieren." },
{ ERR_NOWEBMAIL,	"Serenity-IRC akzeptiert leider keine Web-basierte E-Mail Adresse fr die Nickname Registrierungen." },
{ RPL_TEMPDEAC1,	"Ihr Nickname wurde kurzzeitig deaktiviert, um die neue E-Mail Adresse zu berprfen." },
{ RPL_TEMPDEAC2,	"Der Ablauf der Reaktivierung des Nicknamens ist der gleiche wie bei der erstmaligen Registrierung." },
{ RPL_TEMPDEAC3,	"Alle momentanen Einstellungen fr Ihren Nicknamen bleiben erhalten." },
{ RPL_TEMPDEAC4,	"Der neue Registrierungsschlssel wurde an \002%s\002 verschickt." },
{ ERR_NOMAILSENT,	"Die E-Mail konnte leider nicht an die angegebene Adresse verschickt werden." },
{ ERR_ALREADYREG,	"Dieser Nickname wurde bereits registriert. Sie knnen ihn nicht erneut registrieren." },
{ ERR_NEEDTOACT,	"Dieser Nickname wurde bereits registriert, er kann nur aktiviert werden." },
/* 60 - 79 */
{ ERR_CANNOTREGTHIS,	"Dieser Nickname kann nicht registriert werden, bitte whlen Sie einen anderen." },
{ ERR_BANNEDEMAIL,	"Diese E-Mail Adresse wurde vom Serenity-IRC \002VERBANNT\002. Bitte benutzen Sie eine andere." },
{ ERR_CANNOTGHOSTSELF,	"Das \002ghost\002 Befehl kann nicht auf Sie selbst angewendet werden." },
{ ERR_NOTONLINE,	"Der Nickname \002%s\002 wird im Moment nicht verwendet - Sie knnen ihn nicht entfernen." },
{ ERR_ACCESSDENIED,	"Auf diese Operation haben Sie leider keinen Zugriff." },
{ RPL_NICKGHOSTED,	"Der Nickname \002%s\002 wurde entfernt. Er ist jetzt wieder benutzbar." },
{ RPL_TOCHANOPS,	"\002(Ops:%s)\002 %s" },
{ RPL_AUTOSET_S,	"Dieser Kanal wurde automatisch auf +s als Vorsichtsmaname fr jngere Benutzer gesetzt. Dies wird den Kanal in keine Weise beeinflussen, aber da er auf der Kanalliste unsichtbar ist." },
{ RPL_NOOPSFROZEN,	"Sie knnen im Moment auf diesem Kanal keinen Operatorstatus erhalten, da er  \002EINGEFROREN\002 wurde." },
{ RPL_CHANDESC,		"(\002%s\002): %s" },
{ RPL_NOOPS,		"Sie knnen auf diesem Kanal leider keinen Operatorstatus erhalten." },
{ RPL_PING1,		"\001PING %s\001" },
{ RPL_PING2,		"\001PING %s %s\001" },
{ ERR_CHANNOTREGGED,	"Der Kanal \002%s\002 ist nicht bei ChanServ registriert." },
{ RPL_NEXTDBSYNC,	"Nchste Synchronisation mit der Datenbank(save) in %d Minuten." },
{ RPL_CHANINFO1,	"-=[ ChanServ Information fr \002%s\002 ]=-" },
{ 76, "Ihr Nickname \002%s\002 wurde erfolgreich registriert und aktiviert!" },
{ 77, "Ihre erste Maske fr den Zugriff ist \002%s\002. Falls Sie weitere Masken bentigen," },
{ 78, "Geben Sie folgendes ein: /msg NickServ \002ADDMASK\002" },
{ 79, "Ihre Registrierungszeit ist %s " },
/* 80 - 99 */
{ 80, "Das Kennwort fr Ihren Nicknamen ist \002%s\002. Bitte notieren Sie es sich, damit Sie es nicht verlieren." },
{ 81, "Willkommen auf dem Serenity-IRC IRC Netzwerk, geniessen Sie den Aufenthalt!" },
{ 82, "Ihr Nickname wurde erfolgreich reaktiviert!" },
{ 83, "Ihr Nickname ist bereits reaktiviert. Sie knnen ihn nicht erneut aktivieren." },
{ RPL_NICKDROPPED,	"Ihr Nickname \002%s\002 ist ist nicht mehr registriert." },
{ RPL_YOURACCESSIS,	"Ihre derzeitiger Zugriffsstufe ist \002%i\002." },
{ RPL_CHANINFO2,	"Grnder		      - %s" },
{ RPL_CHANINFO3,	"Beschreibung	       - %s" },
{ RPL_CHANINFO4,	"Topic		       - %s (%s)" },
{ RPL_CHANINFO5,	"Optionen	       - %s%s%s%s%s%s%s" },
{ RPL_CHANINFO6,	"Einstellungen	       - [Wechsel des Topics (Stufe): %i+] [Zugangsbeschrnkung (Stufe): %i+] [Modi: %s]" },
{ RPL_CHANINFO7,	"Kanal registriert     - %s GMT" },
{ RPL_CHANINFO8,	"Kanal zuletzt benutzt - %s GMT" },
{ RPL_CHANINFO9,	"IRCop Daten	       - %s%s%s%s[Ops: %i] [Akicks: %i]" },
{ RPL_CHANINFO10,	"-=[ Ende der ChanServ Informationen ]=-" },
{ RPL_CHANACCESS1,	"%s hat %s Zugriff auf %s" },
{ RPL_CHANACCESS2,	"Sie haben %s Zugriff auf %s" },
{ ERR_NOTOPEDINCHAN,	"Wenn Sie einen Kanal registrieren mchten, mssen Sie sowohl auf dem Kanal als auch dort geoppt sein." },
{ ERR_CHANALREADYREG,	"Dieser Kanal ist bereits registriert. Sie knnen ihn nicht erneut registrieren." },
{ ERR_TOMANYREGCHAN1,	"Sie haben bereits zu viele Kanle registriert." },
/* 100 - 119 */
{ ERR_TOMANYREGCHAN2,	"%s hat bereits zu viele Kanle registriert." },
{ RPL_CHANNOWREG,	"Kanal \002%s\002 wurde eben von \002%s\002 als FOUNDER(15) registriert." },
{ RPL_CHANREGNOTE,	"Ihr Kanal wurde mit den Einstellungen \002+tn-k\002 gespeichert und Fixierung des Topics steht auf \002ON\002." },
{ ERR_CHANFROZEN,	"Zugriff verweigert. Dieser Kanal ist \002EINGEFROREN\002." },
{ ERR_NOOPON,		"%s kann der Chanop-Liste nicht hinzugefgt werden. Sie mssen ihn erst bitten, seinen Nicknamen wieder freizuschalten." },
{ RPL_CHANTRANS,	"Grnderstatus von \002%s\002 bertragen auf \002%s\002." },
{ RPL_ACCESSHEADER,	"-=[ Zugriffsliste fr \002%s\002 ]=-" },
{ RPL_ACCESSLIST1,	"Maske %i) \002%s\002" },
{ RPL_ACCESSFOOTER,	"-=[ Ende der Zugriffsliste ]=-" },
{ ERR_NOREMOTEACC,	"Sie knnen leider die Zugriffsliste fr \002%s\002 nicht einsehen." },
{ RPL_CURRENTACC,	"Die momentane Zugrifsstufe fr %s ist \002%i\002." },
{ RPL_LISTOPHEADER,	"-=[ Liste aller Online IRC Operatoren ]=-" },
{ RPL_LISTOP1,		"(%-2i) %-30s %s%s" },
{ RPL_LISTOPFOOTER,	"-=[ Ende der Operatorenliste ]=-" },
{ ERR_BADACCMASK,	"Die Zugriffsmaske ist leider viel zu lang." },
{ ERR_TOOMANYACCMASKS,	"Die haben das Maximum Ihrer Zugriffsmasken erreicht, bitte lschen Sie ein paar bevor Sie neue hinzufgen." },
{ ERR_CHANAXTOOLOW,	"Ihre Zugriffsrechte sind zu niedrig, um dieses Befehl auszufhren." },
{ ERR_CHANNOMOREOPS,	"Kanal \002%s\002 hat das Op Limit erreicht, es knnen keine weiteren Ops hinzugefgt werden." },
{ ERR_UNKAXLEVEL,	"Die Stufe die Sie angegeben haben (\002%s\002) ist keine gltige Stufe." },
{ ERR_NOAXCGFOUNDER,	"\002%s\002 ist der Kanalgrnder und kann nicht auf \002%s\002 gesetzt werden." },
/* 120 - 139 */
{ RPL_CHANAXCHANGE,	"Zugriff fr \002%s\002 gendert auf \002%s\002" },
{ RPL_CHANOPADDED,	"Operator Nummer %i \002%s\002 als \002%s\002 hinzugefgt." },
{ ERR_CHANNOMOREAKICK,	"\002%s\002 hat das Limit der AKicks erreicht. Ich kann keine weiteren AKicks hinzufgen." },
{ ERR_THISEXISTS,	"\002%s\002 existiert bereits in der Liste von %s." },
{ ERR_INVALIDAKICK,	"%s ist leider ein ungltiger AKick." },
{ RPL_CHANAKICKADDED,	"AKick \002%s\002 wurde dem Kanal \002%s\002 hinzugefgt." },
{ ERR_NOTINOPSLIST,	"\002%s\002 existiert in der Op Liste fr \002%s\002 nicht." },
{ RPL_CHANOPDELED,	"Op \002%s\002 von Kanal \002%s\002 gelscht." },
{ ERR_AKICKNOTEXIST,	"\002%s\002 existiert in der AKick Liste fr \002%s\002 nicht." },
{ RPL_CHANAKICKDELED,	"AKick fr \002%s\002 auf \002%s\002 gelscht" },
{ RPL_CHANOPSLISTHEAD1, "-=[ Opliste fr \002%s\002 ]=-" },
{ RPL_CHANOPSLISTHEAD2, "(Index) Nickname			 Stufe" },
{ RPL_CHANOPSLISTDATA,	"(%-3i) %-30s [%s]" },
{ RPL_LISTSEARCHNUM,	"\002%i\002 Treffer bei \002%i\002 durchsuchten Eintrgen." },
{ RPL_CHANOPSLISTEND,	"-=[ Ende der Opliste ]=-" },
{ RPL_CHANAKLISTHEAD1,	"-=[ Akickliste fr \002%s\002 ]=-" },
{ RPL_CHANAKLISTHEAD2,	"(Index) (Maske)" },
{ RPL_CHANAKLISTHEAD3,	"(Zeit [GMT])	  (Grund)" },
{ RPL_CHANAKLISTDATA1,	"(%-3i) (%-s)" },
{ RPL_CHANAKLISTDATA2,	"(%s) (%s)" },
/* 140 - 159 */
{ RPL_CHANAKLISTEND,	"-=[ Ende der AKickliste ]=-" },
{ RPL_CHANDROP,		"Kanalregistrierung fr \002%s\002 wurde aufgehoben." },
{ ERR_NICKNOTINCHAN,	"\002%s\002 ist nicht auf \002%s\002." },
{ RPL_NOWCHANOPERATOR,	"Sie sind nun Kanaloperator auf \002%s\002." },
{ RPL_NOTCHANOPERATOR,	"Sie sind nun kein Kanaloperator mehr auf \002%s\002." },
{ ERR_NOSUCHCHAN,	"\002%s\002 existiert leider nicht." },
{ RPL_NUMUSERSINCHAN,	"\002%d\002 Benutzer auf \002%s\002." },
{ RPL_CHANCLISTDATA,	":%s -> %s%s" },
{ ERR_MISSINGKEY,	"Sie mssen einen Schlssel angeben, um den Kanal im Modus +k zu halten." },
{ ERR_MISSINGLIMIT,	"Sie mssen ein Maximum angeben, um den Kanal im Modus +l zu halten." },
{ RPL_MLOCKSETTO,	"Modus fr \002%s\002 wird jetzt auf \002%s\002 gehalten." },
{ RPL_RESTRICTSETTO,	"\002%s\002 ist jetzt begrenzt auf Nutzer der Stufe \002%i+\002." },
{ RPL_TOPICLOCKSETTO,	"Wechsel des Kanaltopics fr \002%s\002 wurde gesetzt auf die Stufen \002%i+\002 ." },
{ RPL_CHANSETSTATUS,	"\002%s\002 auf \002%s\002 ist \002%s\002." },
{ RPL_CHANSETDESC,	"Die Beschreibung fr \002%s\002 ist: %s" },
{ RPL_CHANSETDESCCLEAR, "Beschreibung fr \002%s\002 gelscht." },
{ RPL_REMCHANBANS,	"Gelschte Bannungen: %s" },
{ RPL_CHANLIST,		"%s (%s) [%i/%i]" },
{ RPL_CHANMASSDEOP,	"Deopped: %s" },
{ RPL_CHANMASSDEVOICE,	"Devoiced: %s" },
/* 160 - 179 */
{ RPL_CHANMASSKICK,	"Massenkick beendet, \002%i\002 Leute gekickt, \002%s\002 befreit." },
{ RPL_CHANMODECLEAR,	"Moduslschung fr \002%s\002 erfolgreich." },
{ ERR_BADMASK,		"\002%s\002 hat ein ungltiges Format fr eine Maske."},
{ RPL_AKILLADDED,	"%s fr \002%s\002 unter \002%s\002 [%s] wurde hinzugefgt." },
{ ERR_MASKEXISTS,	"Die Maske \002%s\002 existiert bereits in der %s Liste." },
{ ERR_INVALIDMODES,	"%s ist eine ungltige Modusliste." },
{ ERR_NOSUCHSERVER,	"Es gibt leider keinen Server mit Namen \002%s\002." },
{ ERR_ALREADYSVSNOOP,	"\002%s\002 ist bereits im SVSNOOP Modus." },
{ ERR_NOTSVNOOP,	"\002%s\002 ist nicht im SVSNOOP Modus." },
{ RPL_EKILLEMPTY,	"Dynamische EKILL Liste ist leer." },
{ RPL_EKILLHEAD,	"-=[ Dynamische EKill Liste ]=-" },
{ RPL_EKILLDATA,	"%-25s (gesetzt von %s) %s %s" },
{ RPL_EKILLEND,		"-=[ Ende der EKill Liste ]=-" },
{ ERR_NOSUCHEKILL,	"Diesen EKILL gibt es leider nicht: \002%s\002." },
{ RPL_EKILLDELED,	"EKILL fr \002%s\002 entfernt." },
{ ERR_EKILLEXISTS,	"EKILL existiert bereits: \002%s\002" },
{ RPL_EKILLADDED,	"EKILL fr \002%s\002 hinzugefgt." },
{ RPL_RESTARTING,	"Starte erneut." },
{ RPL_SHUTTINGDOWN,	"Fahre herunter." },
{ RPL_PERMCLONEIGNHEAD, "-=[ Permanente Liste der ignorierten Klone ]=-" },
/* 180 - 199 */
{ ERR_ACCMASKNOTADDED,	"Die Maske \002%s\002 wurde nicht hinzugefgt, sie hat entweder das falsche Format oder existiert bereits." },
{ RPL_ACCMASKADDED,	"Die Maske \002%s\002 wurde Ihrer Zugriffsliste erfolgreich hinzugefgt." },
{ RPL_ACCLISTCLEARED,	"Ihre Zugriffsliste wurde vollstndig gelscht." },
{ RPL_ACCMASKREMOVED,	"Die Maske \002%s\002 wurde erfolgreich aus Ihrer Zugriffsliste entfernt." },
{ ERR_ACCENTRYNOTFOUND, "Der Eintrag Nummer %s wurde leider in Ihrer Zugriffsliste nicht gefunden." },
{ ERR_ACCMASKNOTFOUND,	"Die Maske \002%s\002 wurde leider in Ihrer Zugriffsliste nicht gefunden." },
{ RPL_NLIST1,		"%4i: %s %s" },
{ RPL_NLIST2,		"%4i: %s!%s@%s%s" },
{ RPL_NLIST3,		"%4i: %s!%s@%s" },
{ ERR_PROPERHOST1,	"Sie mssen leider eine Hostmaske der Form nick!user@host verwenden." },
{ ERR_WIDEHOST,		"Ihr angegebener Bereich ist leider zu gross. Bitte versuchen Sie ihn zu verkleinern." },
{ RPL_NLISTHEADER,	"-=[ Anfang der Liste (\002%s\002) ]=-" },
{ RPL_NLISTFOOTER,	"-=[ Ende der Liste - \002%i\002 von \002%i\002 Eintrgen trafen auf diese Bedingung zu: \002%s\002) ]=-" },
{ ERR_NLISTEMPTY,	"Ihre Suche brachte leider keine Ergebnisse." },
{ RPL_NICKRELEASED,	"Der Nickname \002%s\002 wurde freigegeben und ist wieder verfgbar." },
{ ERR_NICKNOTHELD,	"Der Nickname %s wird im Moment nicht von Services gehalten." },
{ ERR_BADFLAG,		"\002%c\002 ist leider ein unbekanntes Flag." },
{ RPL_CHANGEDFLAGS,	"Sie haben die Flags fr \002%s\002 auf \002%s%s%s%s\002 gesetzt." },
{ RPL_BANNEDNICK,	"Sie haben den Nicknamen \002%s\002 dauerhaft von weiterer Benutzung ausgeschlossen." },
{ RPL_GETPASS,		"Das Kennwort fr den Nicknamen \002%s\002 wurde an die E-Mail Adresse \002%s\002 verschickt." },
/* 200 - 219 */
/* Ax0n: 200 - 219 */
{ RPL_PERMCLONEIGNDATA, "%i) %s" },
{ RPL_PERMCLONEIGNEND,	"-=[ Ende der Permanenten ignorieren Liste ]=-" },
{ RPL_UPTIME1,		"Services luft seit:" },
{ RPL_UPTIME2,		"%i Tagen, %i Stunden, %i Minuten, and %i Sekunden." },
{ RPL_ALLOCSTAT1,	"smalloc() info:    %i Aufrufe" },
{ RPL_ALLOCSTAT2,	"sfree() info:	    %i Aufrufe" },
{ RPL_CLONESTATUS1,	"%s@%s hat %i/%i Klone (Total/Aufrufe)" },
{ RPL_CLONESTATUS2,	"%s hat %i/%i Klone (Total/Aufrufe)" },
{ ERR_INVALIDTRIGLEVEL, "Bitte geben Sie einen vernnftigen Wert fr den Aufruf an." },
{ ERR_NOSUCHTRIGGER,	"Kein user@host vorhanden (%s@%s)." },
{ RPL_NOCLONEFLAGS,	"%s hat keine Kloneflag Eintrge." },
{ RPL_HASCLONEFLAGS,	"%s hat folgende Flags: %s%s%s" },
{ ERR_PERMIGNEXISTS,	"%s wird bereits dauerhaft ignoriert." },
{ ERR_NOSUCHPERMIGN,	"%s wird nicht dauerhaft ignoriert." },
{ ERR_UNKNOWNFLAG,	"Unbekanntes Flag %s." },
{ ERR_UNKNOWHOST,	"Unbekannter Host %s." },
{ ERR_NOMATCH,		"Keine bereinstimmungen fr %s@%s" },
{ RPL_MAPHEAD,		"-=[ Liste der verbundenen Server ]=-" },
{ RPL_MAPDATA,		"%s (%s)" },
{ ERR_PROPERHOST2,	"Sie mssen leider eine Hostmaske der Form user@host verwenden." },
/* 220 - 239 */
{ RPL_GETKEY,		"Der Aktivierungsschlssel fr den Nicknamen \002%s\002 ist \002%s\002." },
{ RPL_GETREALPASS,	"Das Kennwort fr den Nicknamen \002%s\002 ist \002%s\002." },
{ RPL_DELETE,		"Der Nickname \002%s\002 wurde aus den Datenbanken entfernt." },
{ RPL_SAVE,		"Die NickServ Datenbank wurde synchronisiert." },
{ ERR_ALREADYLINKID,	"Sie haben sich bereits fr den Nicknamen \002%s\002 fernidentifiziert." },
{ ERR_MAXLINKID,	"Sie knnen sich nicht fr mehr als \002%i\002 Nicknamen fernidentifizieren." },
{ RPL_NICKWARN1,	"Dieser Nickname ist registriert. Falls dies Ihr Nickname ist, identifizieren Sie sich bitte jetzt bei NickServ." },
{ RPL_NICKWARN2,	"Falls Sie sich nicht identifizieren, wird Ihr Nickname in 30 Sekunden gendert." },
{ RPL_NICKWARN3,	"Um sich zu identifizieren, benutzen Sie bitte das \002IDENTIFY\002 Befehl: \002/msg NickServ IDENTIFY <your password>\002" },
{ RPL_NICKWARN4,	"Sie haben noch 15 Sekunden, um sich zu identifizieren bevor Ihr Nickname gendert wird." },
{ RPL_NICKWARN5,	"Ihr Nickname wurde gendert. Bitte benutzen Sie einen Nicknamen, der noch nicht registriert wurde." },
{ RPL_HELP,		"%s" },
{ RPL_YOUHAVEMEMOS,	"Auf Sie warten \002%i\002 neue Memos. (Gesamt: \002%i\002)" },
{ RPL_MEMO1,		"\002%2i\002. Empfangen am %-30s [%s]" },
{ RPL_MEMO2,		"    \002%s\002: %s" },
{ ERR_NOSUCHMEMO,	"Es gibt leider keine Memo \002%i\002." },
{ RPL_MLISTHEADER,	"-=[ Liste der Memos fr \002%s\002 ]=-" },
{ RPL_MLIST1,		"\002%2i\002. Empfangen am %-30s von \002%s\002 [%s]" },
{ RPL_MLISTFOOTER,	"-=[ Ende der Memoliste ]=-" },
{ ERR_MLISTEMPTY,	"Ihre Memoliste ist leider leer." },
/* 240 - 259 */
{ ERR_MEMOTOOLONG,	"Ihre Memo ist leider zu lang, bitte versuchen Sie sie auf mindestens \002%i\002 Zeichen zu krzen." },
{ ERR_ISNOMEMO,		"\002%s\002 erlaubt Ihnen leider nicht, eine Memo an ihn zu versenden." },
{ ERR_MEMOBOXFULL,	"Die Memobox von \002%s\002 ist leider voll. " },
{ ERR_TOOMANYMEMOS,	"Sie haben leider zu viele Memos verschickt. " },
{ RPL_GOTNEWMEMO,	"\002%s\002 hat Ihnen gerade eine neue Memo geschickt. Um sie zu lesen, geben Sie bitte ein: \002/msg MemoServ READ %i\002" },
{ RPL_SENTMEMO,		"Ihre Memo wurde erfolgreich an \002%s\002 verschickt." },
{ ERR_ISNOFORWARD,	"\002%s\002 erlaubt es Ihnen leider nicht, weitergeleitete Memos an Ihn zu schicken." },
{ RPL_MEMOFORWARDED,	"Sie haben erfolgreich \002%i\002 Memo%s an \002%s\002 weitergeleitet.", },
{ ERR_NOFWDTOSELF,	"Memos an sich selbst weiterzuleiten ist etwas komisch, oder? " },
{ RPL_DELMEMO,		"Sie haben \002%s\002 Memos gelscht." },
{ RPL_DELMEMONR,	"Sie haben Memo \002%i\002 gelscht." },
{ RPL_MAPEND,		"-=[ Ende der Serverliste ]=-" },
{ RPL_MMAX,		"\002%s\002 ist im Moment fr diesen Nicknamen auf \002%i\002 gesetzt." },
{ ERR_MMAXSET,		"Sie mssen eine Zahl zwischen\002 1\002 und \002%i\002 verwenden." },
{ RPL_MMAXNOW,		"\002%s\002 wurde jetzt fr diesen Nicknamen auf \002%i\002 gesetzt." },
{ RPL_MFORWARD,		"Ihre Memos werden im Moment an \002%s\002 weitergeleitet." },
{ RPL_MFORWARDNOW,	"Ihre Memos werden nun an \002%s\002 weitergeleitet." },
{ ERR_NOFWDMEMOS,	"\002%s\002 erlaubt es leider nicht, Memos an Ihn weiterzuleiten." },
{ RPL_MEMOSRETRIEVED,	"Alle Memos wurden erfolgreich per E-Mail an \002%s\002 verschickt." },
{ ERR_MNEEDLEVEL,	"Sie mssen eine Stufe der Kanaloperatoren festlegen." },
/* 260 - 279 */
{ RPL_SENTMEMOCHAN,	"Ihre Memo wurde an \002%i\002 von \002%i\002 Zielen geliefert." },
{ ERR_JINXEXIST,	"Das \002%s\002 fr \002%s\002 existiert bereits." },
{ ERR_NOSUCHNICK,	"\002%s\002 scheint im Moment nicht Online zu sein." },
{ ERR_CANTJINXSRA,	"Es ist nicht erlaubt, einen Services Root Administrator zu Jinxen." },
{ ERR_NOSUCHJINX,	"Es scheint keinen \002%s\002 fr \002%s\002 zu geben." },
{ RPL_JINXLISTEMPTY,	"Im Moment sind keine \002%s\002 gesetzt." },
{ RPL_JINXLISTHEADER,	"-=[ Liste aller \002%s\002 ]=-" },
{ RPL_JINXLISTFOOTER,	"-=[ Ende der \002%s\002 Liste ]=-" },
{ RPL_JINXLIST1,	"%-25s [gesetzt von %s] (%s) %s" },
{ RPL_JINXADDED,	"Ein \002%s\002 wurde fr den Nicknamen \002%s\002 erfolgreich hinzugefgt." },
{ RPL_JINXREMOVED,	"Das \002%s\002 wurde erfolgreich fr den Nicknamen \002%s\002 entfernt." },
{ ERR_NEEDUSERHOST,	"Sie mssen eine Maske der Form user@host angeben." },
{ ERR_THISISNONICKDUMMY,"Dies ist ein registrierter \002nick enforcer\002 und kein normaler Benutzer." },
{ ERR_NOHELPONTHAT,	"Es gibt leider keine Hilfe zu \002%s\002. Bitte fragen Sie auf " NETCHAN " nach Hilfe." },
{ ERR_BADCHANNELNAME,	"\002%s\002 ist leider kein gltiger Kanalname." },
{ RPL_CHANCLOSED,	"Der Kanal \002%s\002 wurde \002GESCHLOSSEN\002." },
{ ERR_CHANNOTCLOSED,	"Der Kanal \002%s\002 wurde nicht \002GESCHLOSSEN\002." },
{ RPL_CHANUNCLOSED,	"Der Kanal \002%s\002 wurde wieder \002GEOEFFNET\002." },
{ RPL_GLOBALNOTICE,	"Wilkommen zu Serenity-IRC" },
{ ERR_NOTAVALIDNUMBER,  "\002%s\002 is not a valid number." },
/* 280 - 299 */
{ ERR_INCORRECTUSAGE,   "You used the %s command incorrectly."},
{ RPL_INFOREMARK,       "\002Remark #%i\002 by %s on %s: %s"},
{ RPL_DELREMARK,        "The specified remark for \002%s\002 has been removed."},
{ RPL_ADDREMARK,        "Remark for \002%s\002 added."},
{ -1, "" }
};

#endif
