#include "services.h"


/*
 * this func borrowed from DALnet ircd, and such 
 */
long getHashKey(char *hname)
{
    unsigned char *name = (unsigned char *) hname;
    long hash = 0x00005555;

    for (; *name; name++)
	hash = (hash << 2) ^ tolower(*name);

    if (hash < 0)
	hash = -hash;
    return (hash);
}

/*
 * clean hash tables, one for each table 
 */

void cleanNickHash(void)
{
    long i;

    for (i = 0; i < NICKHASHSIZE; i++) {
	RegNickHash[i].nick = RegNickHash[i].lastnick = NULL;
	UserHash[i].nick = UserHash[i].lastnick = NULL;
    }
    for (i = 0; i < CLONEHASHSIZE; i++) {
	CloneHash[i].clone = CloneHash[i].lastclone = NULL;
    }
    return;
}

void cleanChanHash(void)
{
    long i;

    for (i = 0; i < CHANHASHSIZE; i++) {
	RegChanHash[i].chan = RegChanHash[i].lastchan = NULL;
	ChanHash[i].chan = ChanHash[i].lastchan = NULL;
    }
    return;
}
