#include "services.h"

/*
 * For lack of better place to put this stuff....
 * * MOTD/help stuff, :>
 */

void showMotd(char *to)
{
    sSend(":%s 375 %s :- %s Message of the Day - ", myname, to, myname);

    sSend(":%s 372 %s :-", myname, to);
    sSend(":%s 372 %s :- Serenity-IRC Network Services %s.",
	  myname, to, PACKAGE " v" VERSION);
    sSend(":%s 372 %s :- Copyright (c) 1997-2003 StarChat, Serenity-IRC",
	  myname, to);
    sSend(":%s 372 %s :-", myname, to);
    sSend
	(":%s 372 %s :- There are currently \002%lu\002 nicknames and \002%lu\002 channels registered.",
	 myname, to, mostnicks, mostchans);
    sSend(":%s 372 %s :- Our current user-record is \002%lu\002 users.",
	  myname, to, mostusers);
    sSend(":%s 372 %s :-", myname, to);
    sSend(":%s 372 %s :- If you require IRC Operator assistance, please join #help",
          myname, to);
    sSend(":%s 372 %s :-", myname, to);
    sSend(":%s 372 %s :End of /MOTD command", myname, to);
}

/* Used for parsing of the helpdata */
char tmpstr[81];

char *parsestr(char *str)
{
    char *s1, *s2;

    s2 = tmpstr;
    bzero(tmpstr, 81);

    for (s1 = str; *s1; s1++) {
	if (*s1 == '%')
	    *s2 = '\002';
	else if (*s1 == '&')
	    *s2 = '\x1f';
	else
	    *s2 = *s1;
	s2++;
    }

    return (char *) tmpstr;
}

char *fixnullstr(char *str)
{
    char *s1, *s2;
    int allspace = 1;

    for (s1 = str; *s1; s1++) {
	if (*s1 != ' ') {
	    allspace = 0;
	    break;
	}
    }
    if (allspace) {
	strcpy(str, " ");
	return str;
    } else {
	s2 = parsestr(str);
	return s2;
    }
}
void sendHelp(char *to, char *service, char *args[511], int numargs)
{
    int i;
    char data[81];
    char filename[512];
    char searchargs[512];
	 FILE *fp;

    UserList *tmp;	 

	if (service == NULL)	/* YIPE -- NO SERVICE ASKED FOR THIS */
		return;

	tmp = getNickData(to);
	
	strcpy(filename, GetLanguage(tmp));
	strcat(filename, "/");
	strcat(filename, service);
	strcat(filename, "/");



	if (numargs == 0) {		/* DEFAULT -- INDEX.HELP */
		strcat(filename, "index.help\0");
		strcpy(searchargs, service);
	} else {
		strcat(filename, args[1]);
		strcpy(searchargs, args[1]);
		i = 2;

		while (i < numargs) {
			strcat(filename, "-");
			strcat(filename, args[i]);
			strcat(searchargs, " ");
			strcat(searchargs, args[i]);
			i++;
		}
		strcat(filename, ".help\0");
	}
	strtolower(filename);

#ifdef DEBUG
	printf("Attempting to open helpfile '%s'...\n", filename);
#endif

	i = 0;

	if ((fp = fopen(filename, "r")) != NULL) {
		if (tmp) {
			while (sfgets(data, 81, fp)) {
				if (!strncmp(data, "<oper>", 6)) {
					while (sfgets(data, 81, fp) && strncmp(data, "</oper>", 7)) {
						if (isOper(tmp)) {
							uSend(service, tmp, GetReply(RPL_HELP, tmp), fixnullstr(data));
							i++;
						}
					}
				} else if (!strncmp(data, "<servop>", 8)) {
					while (sfgets(data, 81, fp) && strncmp(data, "</servop>", 9)) {
						if (isServop(tmp)) {
							uSend(service, tmp, GetReply(RPL_HELP, tmp), fixnullstr(data));
							i++;
						}
					}
				} else if (!strncmp(data, "<root>", 6)) {
					while (sfgets(data, 81, fp) && strncmp(data, "</root>", 7)) {
						if (isRoot(tmp)) {
							uSend(service, tmp, GetReply(RPL_HELP, tmp), fixnullstr(data));
							i++;
						}
					}
				} else {
					uSend(service, tmp, GetReply(RPL_HELP, tmp),
					fixnullstr(data));
					i++;
				}
			}
		}
		fclose(fp);
 	}

	if (!i) {
		uSend(service, tmp, GetReply(ERR_NOHELPONTHAT, tmp), searchargs);
	}
}
